<?php
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$cls = $css = $heading_wrap_cls = $heading_css = $subheading_css = $url_wrap_css = $button_cls = $button_css = $button_data = '';
$text_css = $icon_cls = $icon_css = $icon_data = $sub_html = $html = $icon_html = '';

extract( shortcode_atts( array(
	'heading_text' => '',
	'heading_color' => '',
	'heading_tag' => 'h2',
	'subheading_text' => '',
	'subheading_color' => '',
	'show_icon' => '',
	'icon_type' => '',
	'icon' => '',
	'icon_font_size' => '',
	'icon_style' => 'background',
	'icon_width' => '60',
	'icon_height' => '60',
	'icon_line_height' => '',
	'icon_rounded' => '',
	'icon_color' => '',
	'icon_background' => '',
	'icon_border' => '',
	'icon_border_width' => '',
	'icon_border_style' => 'solid',
	'icon_color_hover' => '',
	'icon_background_hover' => '',
	'icon_border_hover' => '',
	'link_text' => 'READ MORE',
	'link_url' => '',
	'new_tab' => 'yes',
	'button_style' => 'background',
	'button_size' => 'medium',
	'button_rounded' => '',
	'button_text_color' => '',
	'button_background' => '',
	'button_border' => '',
	'button_text_hover' => '',
	'button_background_hover' => '',
	'button_border_hover' => '',
	'heading_font_family' => 'Default',
	'heading_font_weight' => 'Default',
	'heading_font_size' => '',
	'heading_line_height' => '',
	'subheading_font_family' => 'Default',
	'subheading_font_weight' => 'Default',
	'subheading_font_size' => '',
	'subheading_line_height' => '',
	'button_font_family' => 'Default',
	'button_font_weight' => 'Default',
	'button_font_size' => '',
	'icon_right_margin' => '',
	'heading_top_margin' => '',
	'heading_bottom_margin' => '',
	'button_top_margin' => '',
	'button_bottom_margin' => '',
), $atts ) );

$rand = rand();
$heading_line_height = intval( $heading_line_height );
$subheading_line_height = intval( $subheading_line_height );
$heading_font_size = intval( $heading_font_size );
$subheading_font_size = intval( $subheading_font_size );

$button_font_size = intval( $button_font_size );
$button_rounded = intval( $button_rounded );

$icon_font_size = intval( $icon_font_size );
$icon_line_height = intval( $icon_line_height );
$icon_rounded = intval( $icon_rounded );
$icon_width = intval( $icon_width );
$icon_height = intval( $icon_height );
$icon_border_width = intval( $icon_border_width );

$icon_right_margin = intval( $icon_right_margin );
$heading_top_margin = intval( $heading_top_margin );
$heading_bottom_margin = intval( $heading_bottom_margin );
$button_top_margin = intval( $button_top_margin );
$button_bottom_margin = intval( $button_bottom_margin );

if ( $heading_font_weight != 'Default' ) $heading_css .= 'font-weight:'. $heading_font_weight .';';
if ( $heading_color ) $heading_css .= 'color:'. $heading_color .';';
if ( $heading_font_size ) $heading_css .= 'font-size:'. $heading_font_size .'px;';
if ( $heading_line_height ) $heading_css .= 'line-height:'. $heading_line_height .'px;';
if ( $heading_top_margin ) $heading_css .= 'margin-top:'. $heading_top_margin .'px;';
if ( $heading_bottom_margin ) $heading_css .= 'margin-bottom:'. $heading_bottom_margin .'px;';
if ( $heading_font_family != 'Default' ) {
	vincent_enqueue_google_font( $heading_font_family );
	$heading_css .= 'font-family:'. $heading_font_family .';';
}

if ( $subheading_font_weight != 'Default' ) $subheading_css .= 'font-weight:'. $subheading_font_weight .';';
if ( $subheading_color ) $subheading_css .= 'color:'. $subheading_color .';';
if ( $subheading_font_size ) $subheading_css .= 'font-size:'. $subheading_font_size .'px;';
if ( $subheading_line_height ) $subheading_css .= 'line-height:'. $subheading_line_height .'px;';
if ( $subheading_font_family != 'Default' ) {
	vincent_enqueue_google_font( $subheading_font_family );
	$subheading_css .= 'font-family:'. $subheading_font_family .';';
}

if ( $show_icon ) {
	$icon = vincent_get_icon_class( $atts, 'icon' );
	if ( $icon && $icon_type != '' ) {
		vc_icon_element_fonts_enqueue( $icon_type );
		$irand = rand();
		$cls .= ' has-icon';
		$icon_cls = 'icon-'. $irand;
		if ( $icon_right_margin ) $text_css .= 'padding-left:'. $icon_right_margin .'px;';

		if ( $icon_font_size ) $icon_css .= 'font-size:'. $icon_font_size .'px;';
		if ( $icon_width ) $icon_css .= 'width:'. $icon_width .'px;';
		if ( $icon_height ) $icon_css .= 'height:'. $icon_height .'px;';
		if ( $icon_border_style ) $icon_css .= 'border-style:'. $icon_border_style .';';
		if ( $icon_border_width ) $icon_css .= 'border-width:'. $icon_border_width .'px;';
		if ( $icon_rounded ) $icon_css .= 'border-radius:'. $icon_rounded .'px;';
		if ( $icon_line_height ) $icon_css .= 'line-height:'. $icon_line_height .'px;';

		if ( $icon_color ) $icon_data .= ' data-icon="'. $icon_color .'"';
		if ( $icon_background ) $icon_data .= ' data-background="'. $icon_background .'"';
		if ( $icon_border ) $icon_data .= ' data-border="'. $icon_border .'"';

		if ( $icon_color_hover ) $icon_data .= ' data-icon-hover="'. $icon_color_hover .'"';
		if ( $icon_background_hover ) $icon_data .= ' data-background-hover="'. $icon_background_hover .'"';
		if ( $icon_border_hover ) $icon_data .= ' data-border-hover="'. $icon_border_hover .'"';

		$icon_html = sprintf('<div class="vincent-icon %3$s" %4$s><span class="icon" style="%2$s"><i class="%1$s"></i></span></div>', $icon, $icon_css, $icon_cls, $icon_data );
	}
}

if ( $subheading_text ) {
	$sub_html .= sprintf('
		<div class="sub-heading" style="%1$s">
			%2$s
		</div>',
		$subheading_css,
		$subheading_text
	);	
}

if ( $heading_text ) {
	$html .= sprintf('
		<div class="heading-wrap %1$s">
			<div class="text-wrap" style="%6$s">
				%5$s
				<%4$s class="heading" style="%2$s">
					%3$s
				</%4$s>
				%7$s
			</div>
		</div>',
		$heading_wrap_cls,
		$heading_css,
		$heading_text,
		$heading_tag,
		$icon_html,
		$text_css,
		$sub_html
	);
}


if ( $link_text && $link_url ) {
	$btnrand = rand();
	$button_cls = $button_size;
	$button_cls = 'big btn-'. $btnrand;

	if ( $button_rounded ) $button_css .= 'border-radius:'. $button_rounded .'px;';

	if ( $button_text_color ) $button_data .= ' data-text="'. $button_text_color .'"';

	if ( $button_style == 'background' ) {
		if ( $button_background == '#0b77ee' ) {
			$button_cls .= ' accent';
		} else {
			$button_cls .= ' custom';
			$button_data .= ' data-background="'. $button_background .'"';
		}
	}

	if ( $button_style == 'outline' ) {
		$button_cls .= ' outline solid';
		if ( $button_border == '#0b77ee' ) {
			$button_cls .= ' outline-accent';
		} else {
			$button_cls .= ' custom';
			$button_data .= ' data-border="'. $button_border .'"';
		}
	}		

	if ( $button_text_hover ) $button_data .= ' data-text-hover="'. $button_text_hover .'"';
	if ( $button_background_hover ) $button_data .= ' data-background-hover="'. $button_background_hover .'"';
	if ( $button_border_hover ) $button_data .= ' data-border-hover="'. $button_border_hover .'"';

	$html .= sprintf(
		'<div class="url-wrap" style="%6$s">
			<a target="%5$s" class="vincent-button %3$s" href="%2$s" style="%4$s" %7$s>%1$s</a>
		</div>',
		esc_html( $link_text ),
		esc_attr( $link_url ),
		$button_cls,
		$button_css,
		$new_tab,
		$url_wrap_css,
		$button_data
	);
}

printf(
	'<div class="vincent-action-box %3$s" style="%2$s">
		<div class="inner">%s</div>
	</div>',
	$html,
	$css,
	$cls
);