<?php
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$heading_html = $prices_html = $url = $link = '';

extract( shortcode_atts( array(
	'position' => 'style-1',
	'main_heading' => '',
	'sub_heading' => '',
	'switch_text_1' => '',
	'switch_text_2' => '',
	'note_text' => '',
	'exlink' => '',
	'pricebox' => '',
	'heading' => '',
	'heading_color' => '',
	'price' => '',
	'price_color' => 'default',
	'text' => '',
	'text_color' => '',
	'features' => '',
	'button_style' => 'background',
	'button_content' => '',
	'button_url' => '',
	'button_rounded' => '',
	'button_text' => '',
	'button_background' => '',
	'button_border' => '',
	'button_text_hover' => '',
	'button_background_hover' => '',
	'button_border_hover' => '',
	'heading_bottom_margin' => '',
	'subheading_bottom_margin' => '',
	'switcher_bottom_margin' => ''
), $atts ) );

$url = vc_build_link( $exlink );
$pricebox = (array) vc_param_group_parse_atts( $pricebox );

if ( strlen( $exlink ) > 0 && strlen( $url['url'] ) > 0 ) {
		$link = '<a href="' . esc_attr( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">' . esc_attr( $url['title'] ) . '</a>';
	}

if ( count( $pricebox ) != 4 ) {
	echo 'You need to add 4 price tables for this shortcode!';
	return;
}

$heading_html .= '<div class="pricing-heading">
					<h2 class="main-heading">'. $main_heading .'</h2>
					<div class="sub-heading">'. $sub_heading .'</div>
					<div class="pricing-switcher">
						<span class="switch">'. $switch_text_1 .'</span>
						<span class="switch">'. $switch_text_2 .'</span>
						<span class="switch-bg"></span>
					</div>
					<div class="note-text">'. $note_text .' '. $link .'</div>
				</div>';

$prices_html .= '<div class="pricing-content">';
$count = 0;

foreach ( $pricebox as $data ) {
 	$data['heading'] = isset( $data['heading'] ) ? $data['heading'] : '';
	$data['heading_color'] = isset( $data['heading_color'] ) ? $data['heading_color'] : '';
	$data['price'] = isset( $data['price'] ) ? $data['price'] : '';
	$data['price_color'] = isset( $data['price_color'] ) ? $data['price_color'] : 'default';
	$data['text'] = isset( $data['text'] ) ? $data['text'] : '';
	$data['text_color'] = isset( $data['text_color'] ) ? $data['text_color'] : '';
	$data['features'] = isset( $data['features'] ) ? $data['features'] : '';
	$data['button_style'] = isset( $data['button_style'] ) ? $data['button_style'] : 'accent';
	$data['button_content'] = isset( $data['button_content'] ) ? $data['button_content'] : '';
	$data['button_url'] = isset( $data['button_url'] ) ? $data['button_url'] : '';
	$data['button_rounded'] = isset( $data['button_rounded'] ) ? intval($data['button_rounded']) : '';

	$data['button_text'] = isset( $data['button_text'] ) ? $data['button_text'] : '';
	$data['button_background'] = isset( $data['button_background'] ) ? $data['button_background'] : '';
	$data['button_border'] = isset( $data['button_border'] ) ? $data['button_border'] : '';
	$data['button_text_hover'] = isset( $data['button_text_hover'] ) ? $data['button_text_hover'] : '';
	$data['button_background_hover'] = isset( $data['button_background_hover'] ) ? $data['button_background_hover'] : '';
	$data['button_border_hover'] = isset( $data['button_border_hover'] ) ? $data['button_border_hover'] : '';

	$rand = rand();
	$btn_cls = 'big btn-'. $rand;
	$btn_data = '';
	$h_css = '';
	$p_cls = '';
	$text_css = '';
	$btn_css = '';

	if ( $data['heading_color'] ) $h_css .= 'color:'. $data['heading_color'] .';';
	if ( $data['text_color'] ) $text_css .= 'color:'. $data['text_color'] .';';
	if ( $data['button_rounded'] ) $btn_css .= 'border-radius:'. $data['button_rounded'] .'px;';

	if ( $count % 2 == 0 ) $prices_html .='<div class="pricing-boxs">';

	$prices_html .= '<div class="pricing-item">';
 	
	 	if ( $data['heading'] ) $prices_html .= '<div class="title" style="'. $h_css .'">'. $data['heading'] .'</div>';
		if ( $data['price'] ) $prices_html .= '<div class="price '. $data['price_color'] .'"><span>'. $data['price'] .'</span></div>';
		if ( $data['text'] ) $prices_html .= '<div class="text" style="'. $text_css .'">'. $data['text'] .'</div>';
		if ( $data['features'] ) $prices_html .= '<div class="features">'. $data['features'] .'</div>';

		if ( $data['button_content'] ) {

			if ( $data['button_text'] )
				$btn_data .= ' data-text="'. $data['button_text'] .'"';

			if ( $data['button_style'] == 'background' ) {
				if ( $data['button_background'] == '#0b77ee' ) {
					$btn_cls .= ' accent';
				} else {
					$btn_cls .= ' custom';
					$btn_data .= ' data-background="'. $data['button_background'] .'"';
				}
			}

			if ( $data['button_style'] == 'outline' ) {
				$btn_cls .= ' outline solid';
				if ( $data['button_border'] == '#0b77ee' ) {
					$btn_cls .= ' outline-accent';
				} else {
					$btn_cls .= ' custom';
					$btn_data .= ' data-border="'. $data['button_border'] .'"';
				}
			}

			if ( $data['button_text_hover'] ) $btn_data .= ' data-text-hover="'. $data['button_text_hover'] .'"';
			if ( $data['button_background_hover'] ) $btn_data .= ' data-background-hover="'. $data['button_background_hover'] .'"';
			if ( $data['button_border_hover'] ) $btn_data .= ' data-border-hover="'. $data['button_border_hover'] .'"';

		    $prices_html .= '<div class="button-wrap"><a target="_blank" class="vincent-button '. $btn_cls .'" href="'. $data['button_url'] .'" style="'. $btn_css .'" '. $btn_data .'>'. $data['button_content'] .'</a></div>';
		}
 
	$prices_html .= '</div>';
	if ( $count % 2 != 0 ) $prices_html .= '</div>';
 	$count++;
}

if ( $count %2 != 0 ) {
	$prices_html .= '</div>';
}

$prices_html .= '</div>';

if ( $position == 'style-1' )
	echo '<div class="pricing position-1">'. $heading_html . $prices_html .'</div>';
if ( $position == 'style-2' )
	echo '<div class="pricing position-2">'. $prices_html . $heading_html .'</div>';
?>