<?php
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

extract( shortcode_atts( array(
	'items' => '3'
), $atts ) );

$items = intval( $items );

$query_args = array(
    'post_type' => 'testimonials',
    'posts_per_page' => $items
);

if ( ! empty( $cat_slug ) ) {
	$query_args['tax_query'] = array(
		array(
			'taxonomy' => 'testimonials_category'
		),
	);
}

$query = new WP_Query( $query_args );
if ( ! $query->have_posts() ) { echo "Testimonials post not found!"; return; }
ob_start(); ?>

<div class="vincent-testimonials">
<?php if ( $query->have_posts() ) : ?>

<div class="content-wrap">
    <?php while ( $query->have_posts() ) : $query->the_post(); ?>
		<div class="item"><div class="shadow"><div class="inner">
         	<?php if ( vincent_metabox( 'heading' ) || vincent_metabox( 'name' ) || vincent_metabox( 'position' ) || vincent_metabox( 'text' ) ) : ?>

		        <?php if ( vincent_metabox( 'text' ) ) : ?>
		        	<div class="text">
		        	<?php echo esc_html( vincent_metabox( 'text' ) ); ?></div>
		        <?php endif; ?>

		        <?php if ( vincent_metabox( 'name' ) ) : ?>
		        	<div class="name">
		        	<?php echo esc_html( vincent_metabox( 'name' ) ); ?></div>
		        <?php endif; ?>

		        <?php if ( vincent_metabox( 'position' ) ) : ?>
		        	<div class="position">
		        	<?php echo esc_html( vincent_metabox( 'position' ) ); ?></div>
		        <?php endif; ?>

	        <?php endif; ?>
		</div></div></div>
	<?php endwhile; ?>
</div>

<?php endif; ?>
<?php wp_reset_postdata(); ?>
</div><!-- /.vincent-testimonails -->

<?php
$return = ob_get_clean();
echo $return;