<?php
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Change default size for single image shortcode
add_action('init', 'vc_update_defaults', 100);
function vc_update_defaults() {
	if ( class_exists( 'WPBMap' ) )  {
		// Set full size for single image by default
		$param = WPBMap::getParam( 'vc_single_image', 'img_size' );
		$param['value'] = 'full';
		vc_update_shortcode_param( 'vc_single_image', $param );
	}
}

// Add moreparams
add_action('init', 'vc_add_new_para', 100);
	function vc_add_new_para() {
	if ( function_exists( 'add_shortcode_param' ) ) {
		if ( defined( 'WPB_VC_VERSION' ) && version_compare( '5.0', WPB_VC_VERSION, '>=' ) ) {
			add_shortcode_param( 'number' , 'vincent_param_number' );
			add_shortcode_param( 'headings' , 'vincent_param_heading' );
		}
	}
	if ( function_exists( 'vc_add_shortcode_param' ) ) {
		vc_add_shortcode_param( 'number' , 'vincent_param_number' );
		vc_add_shortcode_param( 'headings' , 'vincent_param_heading' );
	}

	// Add Number param
	function vincent_param_number( $settings, $value ) {
		$dependency = '';
		$param_name = isset($settings['param_name']) ? $settings['param_name'] : '';
		$type = isset($settings['type']) ? $settings['type'] : '';
		$suffix = isset($settings['suffix']) ? $settings['suffix'] : '';
		$class = isset($settings['class']) ? $settings['class'] : '';
		$output = '<input type="number" class="wpb_vc_param_value ' . $param_name . ' ' . $type . ' ' . $class . '" name="' . $param_name . '" value="'. $value.'" style="max-width:100px; margin-right: 10px;" />'. $suffix;
		return $output;
	}

	// Add Heading param
	function vincent_param_heading( $settings, $value ) {
		$dependency = '';
		$param_name = isset($settings['param_name']) ? $settings['param_name'] : '';
		$class = isset($settings['class']) ? $settings['class'] : '';
		$text = isset($settings['text']) ? $settings['text'] : '';
		$output = '<h4 '. $dependency .' class="wpb_vc_param_value '. $class .'" style="margin: 10px 0 0;padding:10px;font-size:14px; background:#ebebeb;color:#666;">'. $text .'</h4>';
		$output .= '<input type="hidden" name="'. $settings['param_name'].'" class="wpb_vc_param_value '. $settings['param_name'] .' '. $settings['type'] .'_field" value="'. $value.'" '. $dependency.'/>';
		return $output;
	}
}

// Register Backend and Frontend CSS Styles
add_action( 'vc_base_register_front_css', 'leadinjection_vc_iconpicker_base_register_css' );
add_action( 'vc_base_register_admin_css', 'leadinjection_vc_iconpicker_base_register_css' );
function leadinjection_vc_iconpicker_base_register_css(){
    wp_enqueue_style('extraicon', plugin_dir_url( __FILE__ ) . '/assets/linearicons.css');
}

// Enqueue CSS in Frontend when it's used
add_action('vc_enqueue_font_icon_element', 'leadinjection_enqueue_font_extraicon');
function leadinjection_enqueue_font_extraicon( $font ) {
    switch ( $font ) {
        case 'extraicon': wp_enqueue_style( 'extraicon' );
    }
}

// Define the Icons for VC Iconpicker
add_filter( 'vc_iconpicker-type-extraicon', 'vc_iconpicker_type_extraicon' );
function vc_iconpicker_type_extraicon() {
    return array(
		array("lnr-home" => "lnr-home"),
		array("lnr-apartment" => "lnr-apartment"),
		array("lnr-pencil" => "lnr-pencil"),
		array("lnr-magic-wand" => "lnr-magic-wand"),
		array("lnr-drop" => "lnr-drop"),
		array("lnr-lighter" => "lnr-lighter"),
		array("lnr-poop" => "lnr-poop"),
		array("lnr-sun" => "lnr-sun"),
		array("lnr-moon" => "lnr-moon"),
		array("lnr-cloud" => "lnr-cloud"),
		array("lnr-cloud-upload" => "lnr-cloud-upload"),
		array("lnr-cloud-download" => "lnr-cloud-download"),
		array("lnr-cloud-sync" => "lnr-cloud-sync"),
		array("lnr-cloud-check" => "lnr-cloud-check"),
		array("lnr-database" => "lnr-database"),
		array("lnr-lock" => "lnr-lock"),
		array("lnr-cog" => "lnr-cog"),
		array("lnr-trash" => "lnr-trash"),
		array("lnr-dice" => "lnr-dice"),
		array("lnr-heart" => "lnr-heart"),
		array("lnr-star" => "lnr-star"),
		array("lnr-star-half" => "lnr-star-half"),
		array("lnr-star-empty" => "lnr-star-empty"),
		array("lnr-flag" => "lnr-flag"),
		array("lnr-envelope" => "lnr-envelope"),
		array("lnr-paperclip" => "lnr-paperclip"),
		array("lnr-inbox" => "lnr-inbox"),
		array("lnr-eye" => "lnr-eye"),
		array("lnr-printer" => "lnr-printer"),
		array("lnr-file-empty" => "lnr-file-empty"),
		array("lnr-file-add" => "lnr-file-add"),
		array("lnr-enter" => "lnr-enter"),
		array("lnr-exit" => "lnr-exit"),
		array("lnr-graduation-hat" => "lnr-graduation-hat"),
		array("lnr-license" => "lnr-license"),
		array("lnr-music-note" => "lnr-music-note"),
		array("lnr-film-play" => "lnr-film-play"),
		array("lnr-camera-video" => "lnr-camera-video"),
		array("lnr-camera" => "lnr-camera"),
		array("lnr-picture" => "lnr-picture"),
		array("lnr-book" => "lnr-book"),
		array("lnr-bookmark" => "lnr-bookmark"),
		array("lnr-user" => "lnr-user"),
		array("lnr-users" => "lnr-users"),
		array("lnr-shirt" => "lnr-shirt"),
		array("lnr-store" => "lnr-store"),
		array("lnr-cart" => "lnr-cart"),
		array("lnr-tag" => "lnr-tag"),
		array("lnr-phone-handset" => "lnr-phone-handset"),
		array("lnr-phone" => "lnr-phone"),
		array("lnr-pushpin" => "lnr-pushpin"),
		array("lnr-map-marker" => "lnr-map-marker"),
		array("lnr-map" => "lnr-map"),
		array("lnr-location" => "lnr-location"),
		array("lnr-calendar-full" => "lnr-calendar-full"),
		array("lnr-keyboard" => "lnr-keyboard"),
		array("lnr-spell-check" => "lnr-spell-check"),
		array("lnr-screen" => "lnr-screen"),
		array("lnr-smartphone" => "lnr-smartphone"),
		array("lnr-tablet" => "lnr-tablet"),
		array("lnr-laptop" => "lnr-laptop"),
		array("lnr-laptop-phone" => "lnr-laptop-phone"),
		array("lnr-power-switch" => "lnr-power-switch"),
		array("lnr-bubble" => "lnr-bubble"),
		array("lnr-heart-pulse" => "lnr-heart-pulse"),
		array("lnr-construction" => "lnr-construction"),
		array("lnr-pie-chart" => "lnr-pie-chart"),
		array("lnr-chart-bars" => "lnr-chart-bars"),
		array("lnr-gift" => "lnr-gift"),
		array("lnr-diamond" => "lnr-diamond"),
		array("lnr-linearicons" => "lnr-linearicons"),
		array("lnr-dinner" => "lnr-dinner"),
		array("lnr-coffee-cup" => "lnr-coffee-cup"),
		array("lnr-leaf" => "lnr-leaf"),
		array("lnr-paw" => "lnr-paw"),
		array("lnr-rocket" => "lnr-rocket"),
		array("lnr-briefcase" => "lnr-briefcase"),
		array("lnr-bus" => "lnr-bus"),
		array("lnr-car" => "lnr-car"),
		array("lnr-train" => "lnr-train"),
		array("lnr-bicycle" => "lnr-bicycle"),
		array("lnr-wheelchair" => "lnr-wheelchair"),
		array("lnr-select" => "lnr-select"),
		array("lnr-earth" => "lnr-earth"),
		array("lnr-smile" => "lnr-smile"),
		array("lnr-sad" => "lnr-sad"),
		array("lnr-neutral" => "lnr-neutral"),
		array("lnr-mustache" => "lnr-mustache"),
		array("lnr-alarm" => "lnr-alarm"),
		array("lnr-bullhorn" => "lnr-bullhorn"),
		array("lnr-volume-high" => "lnr-volume-high"),
		array("lnr-volume-medium" => "lnr-volume-medium"),
		array("lnr-volume-low" => "lnr-volume-low"),
		array("lnr-volume" => "lnr-volume"),
		array("lnr-mic" => "lnr-mic"),
		array("lnr-hourglass" => "lnr-hourglass"),
		array("lnr-undo" => "lnr-undo"),
		array("lnr-redo" => "lnr-redo"),
		array("lnr-sync" => "lnr-sync"),
		array("lnr-history" => "lnr-history"),
		array("lnr-clock" => "lnr-clock"),
		array("lnr-download" => "lnr-download"),
		array("lnr-upload" => "lnr-upload"),
		array("lnr-enter-down" => "lnr-enter-down"),
		array("lnr-exit-up" => "lnr-exit-up"),
		array("lnr-bug" => "lnr-bug"),
		array("lnr-code" => "lnr-code"),
		array("lnr-link" => "lnr-link"),
		array("lnr-unlink" => "lnr-unlink"),
		array("lnr-thumbs-up" => "lnr-thumbs-up"),
		array("lnr-thumbs-down" => "lnr-thumbs-down"),
		array("lnr-magnifier" => "lnr-magnifier"),
		array("lnr-cross" => "lnr-cross"),
		array("lnr-menu" => "lnr-menu"),
		array("lnr-list" => "lnr-list"),
		array("lnr-chevron-up" => "lnr-chevron-up"),
		array("lnr-chevron-down" => "lnr-chevron-down"),
		array("lnr-chevron-left" => "lnr-chevron-left"),
		array("lnr-chevron-right" => "lnr-chevron-right"),
		array("lnr-arrow-up" => "lnr-arrow-up"),
		array("lnr-arrow-down" => "lnr-arrow-down"),
		array("lnr-arrow-left" => "lnr-arrow-left"),
		array("lnr-arrow-right" => "lnr-arrow-right"),
		array("lnr-move" => "lnr-move"),
		array("lnr-warning" => "lnr-warning"),
		array("lnr-question-circle" => "lnr-question-circle"),
		array("lnr-menu-circle" => "lnr-menu-circle"),
		array("lnr-checkmark-circle" => "lnr-checkmark-circle"),
		array("lnr-cross-circle" => "lnr-cross-circle"),
		array("lnr-plus-circle" => "lnr-plus-circle"),
		array("lnr-circle-minus" => "lnr-circle-minus"),
		array("lnr-arrow-up-circle" => "lnr-arrow-up-circle"),
		array("lnr-arrow-down-circle" => "lnr-arrow-down-circle"),
		array("lnr-arrow-left-circle" => "lnr-arrow-left-circle"),
		array("lnr-arrow-right-circle" => "lnr-arrow-right-circle"),
		array("lnr-chevron-up-circle" => "lnr-chevron-up-circle"),
		array("lnr-chevron-down-circle" => "lnr-chevron-down-circle"),
		array("lnr-chevron-left-circle" => "lnr-chevron-left-circle"),
		array("lnr-chevron-right-circle" => "lnr-chevron-right-circle"),
		array("lnr-crop" => "lnr-crop"),
		array("lnr-frame-expand" => "lnr-frame-expand"),
		array("lnr-frame-contract" => "lnr-frame-contract"),
		array("lnr-layers" => "lnr-layers"),
		array("lnr-funnel" => "lnr-funnel"),
		array("lnr-text-format" => "lnr-text-format"),
		array("lnr-text-format-remove" => "lnr-text-format-remove"),
		array("lnr-text-size" => "lnr-text-size"),
		array("lnr-bold" => "lnr-bold"),
		array("lnr-italic" => "lnr-italic"),
		array("lnr-underline" => "lnr-underline"),
		array("lnr-strikethrough" => "lnr-strikethrough"),
		array("lnr-highlight" => "lnr-highlight"),
		array("lnr-text-align-left" => "lnr-text-align-left"),
		array("lnr-text-align-center" => "lnr-text-align-center"),
		array("lnr-text-align-right" => "lnr-text-align-right"),
		array("lnr-text-align-justify" => "lnr-text-align-justify"),
		array("lnr-line-spacing" => "lnr-line-spacing"),
		array("lnr-indent-increase" => "lnr-indent-increase"),
		array("lnr-indent-decrease" => "lnr-indent-decrease"),
		array("lnr-pilcrow" => "lnr-pilcrow"),
		array("lnr-direction-ltr" => "lnr-direction-ltr"),
		array("lnr-direction-rtl" => "lnr-direction-rtl"),
		array("lnr-page-break" => "lnr-page-break"),
		array("lnr-sort-alpha-asc" => "lnr-sort-alpha-asc"),
		array("lnr-sort-amount-asc" => "lnr-sort-amount-asc"),
		array("lnr-hand" => "lnr-hand"),
		array("lnr-pointer-up" => "lnr-pointer-up"),
		array("lnr-pointer-right" => "lnr-pointer-right"),
		array("lnr-pointer-down" => "lnr-pointer-down"),
		array("lnr-pointer-left" => "lnr-pointer-left")
    );
}

// Return simple fonts array
if ( ! function_exists('vincent_plugin_google_font') ) {
	function vincent_plugin_google_font() {
		if ( function_exists('vincent_google_fonts_array') ) {
			$default = array( 0 => 'Default' );
			return array_merge( $default, vincent_google_fonts_array() );
		} else {
			return array(
				'Default', 'Arial, Helvetica, sans-serif', 'Arial Black, Gadget, sans-serif',
				'Bookman Old Style, serif', 'Comic Sans MS, cursive', 'Courier, monospace',
				'Georgia, serif', 'Garamond, serif', 'Impact, Charcoal, sans-serif', 'Lucida Console, Monaco, monospace',
				'Lucida Sans Unicode, Lucida Grande, sans-serif', 'MS Sans Serif, Geneva, sans-serif', 'MS Serif, New York, sans-serif',
				'Palatino Linotype, Book Antiqua, Palatino, serif', 'Tahoma, Geneva, sans-serif', 'Times New Roman, Times, serif',
				'Trebuchet MS, Helvetica, sans-serif', 'Verdana, Geneva, sans-serif', 'Paratina Linotype', 'Trebuchet MS',
			);
		}
	}
}

// Get icon font base on font icon type
if ( ! function_exists('vincent_get_icon_class') ) {
	function vincent_get_icon_class( $atts, $icon_location ) {
		// Define vars
		$icon = '';
		$icon_type = ! empty( $atts['icon_type'] ) ? $atts['icon_type'] : 'fontawesome';

		// Generate fontawesome icon class
		if ( 'fontawesome' == $icon_type && ! empty( $atts[$icon_location] ) ) {
			$icon = $atts[$icon_location];
			$icon = str_replace( 'fa-', '', $icon );
			$icon = str_replace( 'fa ', '', $icon );
			$icon = 'fa fa-'. $icon;
		} elseif ( ! empty( $atts[ $icon_location .'_'. $icon_type ] ) ) {
			$icon = $atts[ $icon_location .'_'. $icon_type ];
		}

		// Sanitize
		$icon = in_array( $icon, array( 'icon', 'none' ) ) ? '' : $icon;

		// Return icon class
		return $icon;
	}
}

// Spacing
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Spacing', 'thecraft'),
        'description' => esc_html__('Empty space with custom height.', 'thecraft'),
        'base' => 'spacing',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
        'params' => array(
	        array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Desktop: Height', 'thecraft'),
				'param_name' => 'desktop_height',
				'value' => '',
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Mobile: Height', 'thecraft'),
				'param_name' => 'mobile_height',
				'value' => '',
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Small Mobile: Height', 'thecraft'),
				'param_name' => 'smobile_height',
				'value' => '',
	        ),
        )
    ) );
} );

// Carousel Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_carouselbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Carousel Box', 'thecraft'),
		'description' => esc_html__('Scrolling anything.', 'thecraft'),
		'base' => 'carouselbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('only' => 'contentbox, imagebox, iconbox, videoicon, simpleimage, testimonials, headings, fancytext, singleheading, pricetables, counter'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'thecraft' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Infinity Loop?', 'thecraft' ),
				'param_name' => 'loop',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'thecraft' ),
				'description'	=> esc_html__('Duplicate last and first items to get loop illusion.', 'thecraft'),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Item: Spacing Between', 'thecraft'),
				'param_name' => 'gap',
				'value' => '30',
				'group' => esc_html__( 'Query', 'thecraft' ),
	        ),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'thecraft'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'thecraft' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Elements', 'thecraft' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Bullets Show', 'thecraft' ),
				'param_name' => 'bullet_show',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'Square' => 'bullet-square',
					'Circle' => 'bullet-circle',
				),
				'std'		=> 'bullet-square',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'thecraft'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'thecraft' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'thecraft' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'-40' => '-40',
					'-35' => '-35',
					'-30' => '-30',
					'-25' => '-25',
					'-20' => '-20',
					'-15' => '-15',
					'-10' => '-10',
					'0 - IN' => '0i',
					'Center' => 'center',
					'0 - OUT' => '0o',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'thecraft' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'-120' => '-120',
					'-110' => '-110',
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'0' => '0',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
					'110' => '110',
					'120' => '120',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			// Column
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px', 'thecraft' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px', 'thecraft' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px', 'thecraft' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
        )
    ) );
} );

// Portfolio Carousel
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Portfolio Carousel', 'thecraft'),
        'description' => esc_html__('Displaying project posts in carousel.', 'thecraft'),
        'base' => 'portfolio',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'thecraft' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'600 x 600' => 'square',
					'960 x 960' => 'square1',
					'480 x 480' => 'square2',
					'600 x 500' => 'rectangle',
					'960 x 480' => 'rectangle1',
					'480 x 960' => 'rectangle2',
				),
				'std'		=> 'square2',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'thecraft'),
				'param_name' => 'gap',
				'value' => '0',
				'description'	=> esc_html__('Ex: 30', 'thecraft'),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Posts Per Page', 'thecraft'),
				'param_name' => 'items',
				'value' => '8',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'thecraft'),
				'param_name' => 'cat_slug',
				'value' => '',
				'description'	=> esc_html__('Displaying posts that have this category. Using category-slug.', 'thecraft'),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'thecraft' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
			),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'thecraft'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'thecraft' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Images', 'thecraft' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Bullets Show', 'thecraft' ),
				'param_name' => 'bullet_show',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'Square' => 'bullet-square',
					'Circle' => 'bullet-circle',
				),
				'std'		=> 'bullet-square',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'thecraft'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'thecraft' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'thecraft' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'-40' => '-40',
					'-35' => '-35',
					'-30' => '-30',
					'-25' => '-25',
					'-20' => '-20',
					'-15' => '-15',
					'-10' => '-10',
					'0 - IN' => '0i',
					'Center' => 'center',
					'0 - OUT' => '0o',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'thecraft' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'-120' => '-120',
					'-110' => '-110',
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'0' => '0',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
					'110' => '110',
					'120' => '120',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			// Columns
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px.', 'thecraft' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px.', 'thecraft' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px.', 'thecraft' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
        )
    ) );
} );

// Portfolio Grid
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Portfolio Grid', 'thecraft'),
        'description' => esc_html__('Displaying project posts in grid with filter bar.', 'thecraft'),
        'base' => 'portfoliogrid',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Showcase', 'thecraft' ),
				'param_name' => 'showcase',
				'value'      => array(
					'Masonry' => 'masonry',
					'Mosaic' => 'mosaic',
				),
				'std'		=> 'masonry',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'thecraft' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Default' => 'default',
					'Full' => 'full',
					'600 x 600' => 'square',
					'960 x 960' => 'square1',
					'480 x 480' => 'square2',
					'600 x 500' => 'rectangle',
					'960 x 480' => 'rectangle1',
					'480 x 960' => 'rectangle2',
				),
				'std'		=> 'square2',
				'description'	=> esc_html__('Choose <Default> to use Image-Cropping from metabox.', 'thecraft'),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'thecraft'),
				'param_name' => 'gapv',
				'value' => '0',
				'description'	=> esc_html__('Ex: 30', 'thecraft'),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing below items', 'thecraft'),
				'param_name' => 'gaph',
				'value' => '0',
				'description'	=> esc_html__('Ex: 30', 'thecraft'),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Posts Per Page', 'thecraft'),
				'param_name' => 'items',
				'group'      => esc_html__( 'Query', 'thecraft' ),
				'value' => '8',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'thecraft'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'thecraft' ),
				'description'	=> esc_html__('Displaying posts that have this category. Using category-slug.', 'thecraft'),
	        ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Pagination?', 'thecraft' ),
				'param_name' => 'pagination',
				'group' => esc_html__( 'Query', 'thecraft' ),
				'value' => array(
					'Yes' => 'true',
					'No' => 'false',
				),
				'std'		=> 'false',
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Filter Bar?', 'thecraft' ),
				'param_name' => 'show_filter',
				'group' => esc_html__( 'Filter', 'thecraft' ),
				'value' => array(
					'Yes' => 'true',
					'No' => 'false',
				),
				'std'		=> 'true',
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Filter posts by default?', 'thecraft' ),
				'param_name' => 'filter_by_default',
				'group' => esc_html__( 'Filter', 'thecraft' ),
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug', 'thecraft'),
				'param_name' => 'filter_cat_slug',
				'value' => '',
				'group' => esc_html__( 'Filter', 'thecraft' ),
				'dependency' => array( 'element' => 'filter_by_default', 'value' => 'yes' ),
				'description'	=> esc_html__('Filter posts from this category by default. Using category-slug.', 'thecraft'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button: All', 'thecraft'),
				'param_name' => 'filter_button_all',
				'value' => 'All',
				'group' => esc_html__( 'Filter', 'thecraft' ),
				'description'	=> esc_html__('Leave it empty to disable.', 'thecraft'),
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Bottom Margin', 'thecraft'),
				'param_name' => 'bottom_filter',
				'value' => '',
				'description'	=> esc_html__('Ex: 45px.', 'thecraft'),
				'group' => esc_html__( 'Filter', 'thecraft' ),
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Filter Alignment', 'thecraft' ),
				'param_name' => 'filter_align',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
				'group' => esc_html__( 'Filter', 'thecraft' ),
				'dependency' => array( 'element' => 'show_filter', 'value' => 'true' ),
			),
            // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Filter: Font Family', 'thecraft' ),
				'param_name' => 'filter_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Filter: Font Weight', 'thecraft' ),
				'param_name' => 'filter_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Filter: Font Size', 'thecraft'),
				'param_name' => 'filter_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Filter: Line-Height', 'thecraft'),
				'param_name' => 'filter_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Filter: Letter Spacing', 'thecraft'),
				'param_name' => 'filter_letter_spacing',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Filter: Text Transform', 'thecraft' ),
				'param_name' => 'filter_text_tranform',
				'value'      => array(
					'Capitalize' => 'capitalize',
					'Uppercase' => 'uppercase',
				),
				'std'		=> 'uppercase',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap > 1100px', 'thecraft' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c'
				),
				'std'		=> '4c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap from 800px to 1099px', 'thecraft' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap from 550px to 799px', 'thecraft' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap < 549px', 'thecraft' ),
				'param_name' => 'column4',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
				),
				'std'		=> '1c',
			),
        )
    ) );
} );

// Testimonials
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Testimonials', 'thecraft'),
	    'description' => esc_html__('Displaying testimonials posts.', 'thecraft'),
	    'base' => 'testimonials',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'thecraft'),
	    'params' => array(
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number of items', 'thecraft'),
				'param_name' => 'items',
				'value' => '3',
	        ),
	    )
	) );
} );

// Testimonials Group 3
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Testimonials - Group 3', 'thecraft'),
	    'description' => esc_html__('Displaying testimonials posts.', 'thecraft'),
	    'base' => 'testimonials3',
		'weight'	=>	180,
		'show_settings_on_create' => false,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'thecraft'),
	) );
} );

// News Carousel
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('News Carousel', 'thecraft'),
	    'description' => esc_html__('Displaying blog posts in carousel.', 'thecraft'),
	    'base' => 'news',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'thecraft'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Thumbnail Cropping', 'thecraft' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'600 x 600' => 'square',
					'600 x 500' => 'rectangle',
					'670 x 353' => 'post-element',
				),
				'std'		=> 'rectangle',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding.', 'thecraft'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 20px 17px 30px 17px', 'thecraft'),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Content Background', 'thecraft'),
				'param_name' => 'content_background',
				'value' => '#f7f7f7',
            ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Box Shadow?', 'thecraft' ),
				'param_name' => 'box_shadow',
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
	        // Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number of items', 'thecraft'),
				'param_name' => 'items',
				'value' => '3',
				'group' => esc_html__( 'Query', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'thecraft'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'thecraft' ),
				'description'	=> esc_html__('Displaying posts that have this category. Using category-slug.', 'thecraft'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Excerpt Length', 'thecraft'),
				'param_name' => 'excerpt_lenght',
				'value' => '15',
				'description' => esc_html('The number of words you wish to display in the excerpt. Enter "0" to hide the excerpt.', 'thecraft'),
				'group' => esc_html__( 'Query', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Item: Space Between', 'thecraft'),
				'param_name' => 'gap',
				'value' => '30',
				'group' => esc_html__( 'Query', 'thecraft' ),
				'description'	=> esc_html__('Important! Include the blur distance of the shadow.', 'thecraft'),
	        ),
			// Button
			array(
				'type' => 'vc_link',
				"heading" => __("Extra Link", 'thecraft'),
				"param_name" => "exlink",
				'group' => esc_html__( 'Link', 'thecraft' ),
			), 
	        // Controls
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'thecraft' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'thecraft'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'thecraft' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Images', 'thecraft' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Bullets Show', 'thecraft' ),
				'param_name' => 'bullet_show',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'Square' => 'bullet-square',
					'Circle' => 'bullet-circle',
				),
				'std'		=> 'bullet-circle',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'thecraft'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'thecraft' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'thecraft' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'-40' => '-40',
					'-35' => '-35',
					'-30' => '-30',
					'-25' => '-25',
					'-20' => '-20',
					'-15' => '-15',
					'-10' => '-10',
					'0 - IN' => '0i',
					'Center' => 'center',
					'0 - OUT' => '0o',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'thecraft' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'-120' => '-120',
					'-110' => '-110',
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'0' => '0',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
					'110' => '110',
					'120' => '120',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			// Columns
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px.', 'thecraft' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px.', 'thecraft' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px.', 'thecraft' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'thecraft'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'thecraft' ),
				'param_name' => 'heading_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'thecraft' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'thecraft'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'thecraft'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'thecraft'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'thecraft'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'thecraft'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Top Margin', 'thecraft'),
				'param_name' => 'desc_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Bottom Margin', 'thecraft'),
				'param_name' => 'desc_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	    )
	) );
} );

// ProgressBar
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Progress Bar', 'thecraft'),
        'description' => esc_html__('Displaying progress bars.', 'thecraft'),
        'base' => 'progressbar',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
        'params' => array(
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Title', 'thecraft'),
				'param_name' => 'title',
				'value' => esc_html__('Title', 'thecraft'),
				'description' => esc_html__('Title of the ProgressBar.', 'thecraft')
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color', 'thecraft'),
				'param_name' => 'title_color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Percentage', 'thecraft'),
				'param_name' => 'percent',
				'value' => '90',
				'description' => esc_html__('Percentage value of the ProgressBar', 'thecraft')
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Percentage Color', 'thecraft'),
				'param_name' => 'per_color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Height of Bars', 'thecraft'),
				'param_name' => 'height',
				'value' => '10px',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Space between Text & Line', 'thecraft'),
				'param_name' => 'space_between',
				'value' => '10px',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'thecraft'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 5px', 'thecraft'),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Bottom Margin', 'thecraft'),
				'param_name' => 'bottom_margin',
				'value' => '',
				'description'	=> esc_html__('Ex: 20px', 'thecraft'),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line 1', 'thecraft'),
				'param_name' => 'line_one',
				'value' => '#636363',
				'group' => esc_html__( 'Line Color', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line 2', 'thecraft'),
				'param_name' => 'line_two',
				'value' => '#e5e5e5',
				'group' => esc_html__( 'Line Color', 'thecraft' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'thecraft' ),
				'param_name' => 'font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'thecraft' ),
				'param_name' => 'font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Font Size', 'thecraft'),
				'param_name' => 'font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
        )
    ) );
} );

// Accordions
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_accordions extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Accordions or Toggles', 'thecraft' ),
        'description' => esc_html__('Displaying Accordions or Toggles', 'thecraft'),
		'base'        => 'accordions',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array( 'only' => 'accordion' ),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Type', 'thecraft' ),
				'param_name' => 'type',
				'value'      => array(
					'Accordions' => 'accordions',
					'Toggles' => 'toggles',
				),
				'std'		=> 'accordions',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'thecraft' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
					'Style 3' => 'style-3'
				),
				'std'		=> 'style-1',
			),
		)
	) );
} );

// Accordion
add_action( 'vc_before_init', function() {
	vc_map( array(
	'name'        => esc_html__( 'Item', 'thecraft' ),
    'description' => esc_html__('Item for Accordions or Toggles', 'thecraft'),
		'base'        => 'accordion',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'js_composer'),
		'as_child'    => array( 'only' => 'accordions' ),
		'params'      => array(
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Active by default?', 'thecraft' ),
				'param_name' => 'open',
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type' => 'number',
				'heading' => esc_html__('Bottom Margin', 'thecraft'),
				'param_name' => 'bottom_margin',
				'value' => 10,
				'suffix' => 'px',
				'description'	=> esc_html__('Default: 10px', 'thecraft'),
		  	),
			// Heading
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'thecraft' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h3',
				'group' => esc_html__( 'Heading', 'thecraft' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Heading', 'thecraft'),
				'param_name' => 'heading',
				'value' => '',
				'group' => esc_html__( 'Heading', 'thecraft' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Background', 'thecraft' ),
				'param_name' => 'heading_bg',
				'value'      => array(
					'Transparent' => 'transparent',
					'White' => 'white',
					'Grey' => 'grey',
				),
				'std'		=> 'transparent',
				'group' => esc_html__( 'Heading', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Padding', 'thecraft'),
				'param_name' => 'heading_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 13px 25px 13px 25px', 'thecraft'),
				'group' => esc_html__( 'Heading', 'thecraft' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'thecraft'),
				'param_name' => 'heading_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 25px', 'thecraft'),
				'group' => esc_html__( 'Heading', 'thecraft' ),
            ),
	        // Content
			array(
				'type' 		=> 'textarea_html',
				'heading' 	=> esc_html__('Content', 'thecraft'),
				'param_name' 	=> 'content',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding', 'thecraft'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 20px 0px 30px 0px', 'thecraft'),
				'group' => esc_html__( 'Content', 'thecraft' ),
	        ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'thecraft' ),
				'param_name' => 'heading_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'thecraft' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'thecraft'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'thecraft'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
		)
	) );
} );

// Tabs
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_dtabs extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Tabs', 'thecraft' ),
        'description' => esc_html__('Displaying Tabbed Content.', 'thecraft'),
		'base'        => 'dtabs',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array( 'only' => 'dtab' ),
		'controls' => 'full',
		'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'js_view' => 'VcColumnView',
	) );
} );

// Tab
add_action( 'vc_before_init', function() {
	vc_map( array(
	'name'        => esc_html__( 'Tab', 'thecraft' ),
    'description' => esc_html__('Displaying Tab.', 'thecraft'),
		'base'        => 'dtab',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'js_composer'),
		'as_child'    => array( 'only' => 'dtabs' ),
		'params'      => array(
			// Title
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Title', 'thecraft'),
				'param_name' => 'title',
				'value' => 'Tab',
				'group' => esc_html__( 'Title', 'thecraft' ),
            ),
	        // Content
			array(
				'type' 		=> 'textarea_html',
				'heading' 	=> esc_html__('Content', 'thecraft'),
				'param_name' 	=> 'content',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding', 'thecraft'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 40px 0px 0px 0px', 'thecraft'),
				'group' => esc_html__( 'Content', 'thecraft' ),
	        ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Title Font Family', 'thecraft' ),
				'param_name' => 'title_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Title Font Weight', 'thecraft' ),
				'param_name' => 'title_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Title Font Size', 'thecraft'),
				'param_name' => 'title_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Title Line-Height', 'thecraft'),
				'param_name' => 'title_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
		)
	) );
} );

// Team Carousel
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Team Carousel', 'thecraft'),
	    'description' => esc_html__('Displaying member posts in carousel.', 'thecraft'),
	    'base' => 'team',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'thecraft'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'thecraft' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'600 x 600' => 'square',
					'600 x 500' => 'rectangle',
					'600 x 390' => 'rectangle2',
				),
				'std'		=> 'full',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding', 'thecraft'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 8px 20px 35px 20px', 'thecraft'),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'thecraft'),
				'param_name' => 'content_background',
				'value' => '',
            ),
            // Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number of items', 'thecraft'),
				'param_name' => 'items',
				'value' => '4',
				'group' => esc_html__( 'Query', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'thecraft'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'thecraft' ),
				'description'	=> esc_html__('Display posts that have this category. Using category-slug.', 'thecraft'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'thecraft'),
				'param_name' => 'gap',
				'value' => '30',
				'group' => esc_html__( 'Query', 'thecraft' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'thecraft' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Infinity Loop?', 'thecraft' ),
				'param_name' => 'loop',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Query', 'thecraft' ),
				'description'	=> esc_html__('Duplicate last and first items to get loop illusion.', 'thecraft'),
			),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'thecraft'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'thecraft' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Images', 'thecraft' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Bullets Show', 'thecraft' ),
				'param_name' => 'bullet_show',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'Square' => 'bullet-square',
					'Circle' => 'bullet-circle',
				),
				'std'		=> 'bullet-square',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'thecraft'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'thecraft' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'thecraft' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'-40' => '-40',
					'-35' => '-35',
					'-30' => '-30',
					'-25' => '-25',
					'-20' => '-20',
					'-15' => '-15',
					'-10' => '-10',
					'0 - IN' => '0i',
					'Center' => 'center',
					'0 - OUT' => '0o',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'thecraft' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'-120' => '-120',
					'-110' => '-110',
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'0' => '0',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
					'110' => '110',
					'120' => '120',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px', 'thecraft' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px', 'thecraft' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px', 'thecraft' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Name', 'thecraft'),
				'param_name' => 'name_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Name Font Family', 'thecraft' ),
				'param_name' => 'name_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Name Font Weight', 'thecraft' ),
				'param_name' => 'name_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Name Color', 'thecraft'),
				'param_name' => 'name_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name Font Size', 'thecraft'),
				'param_name' => 'name_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name Line-Height', 'thecraft'),
				'param_name' => 'name_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Position', 'thecraft'),
				'param_name' => 'position_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Position Font Family', 'thecraft' ),
				'param_name' => 'position_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Position Font Weight', 'thecraft' ),
				'param_name' => 'position_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Position Color', 'thecraft'),
				'param_name' => 'position_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position Font Size', 'thecraft'),
				'param_name' => 'position_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position Line-Height', 'thecraft'),
				'param_name' => 'position_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			// Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name: Top Margin', 'thecraft'),
				'param_name' => 'name_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name: Bottom Margin', 'thecraft'),
				'param_name' => 'name_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position: Top Margin', 'thecraft'),
				'param_name' => 'position_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position: Bottom Margin', 'thecraft'),
				'param_name' => 'position_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	    )
	) );
} );

// Team Grid
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Team Grid', 'thecraft'),
	    'description' => esc_html__('Displaying member posts in grid.', 'thecraft'),
	    'base' => 'teamgrid',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'thecraft'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'thecraft' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'600 x 600' => 'square',
					'600 x 500' => 'rectangle',
					'600 x 390' => 'rectangle2',
				),
				'std'		=> 'full',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding', 'thecraft'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Default: 8px 20px 35px 20px', 'thecraft'),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'thecraft'),
				'param_name' => 'content_background',
				'value' => '',
            ),
            // Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number of items', 'thecraft'),
				'param_name' => 'items',
				'value' => '3',
				'group' => esc_html__( 'Query', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug (Optional)', 'thecraft'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'thecraft' ),
				'description'	=> esc_html__('Display posts that have this category. Using category-slug.', 'thecraft'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'thecraft'),
				'param_name' => 'gapv',
				'value' => '30',
				'group' => esc_html__( 'Query', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing below items', 'thecraft'),
				'param_name' => 'gaph',
				'value' => '40',
				'group' => esc_html__( 'Query', 'thecraft' ),
	        ),
			// Columns
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Column(s)', 'thecraft' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '3c',
			),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Name', 'thecraft'),
				'param_name' => 'name_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Name Font Family', 'thecraft' ),
				'param_name' => 'name_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Name Font Weight', 'thecraft' ),
				'param_name' => 'name_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Name Color', 'thecraft'),
				'param_name' => 'name_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name Font Size', 'thecraft'),
				'param_name' => 'name_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name Line-Height', 'thecraft'),
				'param_name' => 'name_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Position', 'thecraft'),
				'param_name' => 'position_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Position Font Family', 'thecraft' ),
				'param_name' => 'position_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Position Font Weight', 'thecraft' ),
				'param_name' => 'position_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Position Color', 'thecraft'),
				'param_name' => 'position_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position Font Size', 'thecraft'),
				'param_name' => 'position_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position Line-Height', 'thecraft'),
				'param_name' => 'position_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			// Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name: Top Margin', 'thecraft'),
				'param_name' => 'name_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Name: Bottom Margin', 'thecraft'),
				'param_name' => 'name_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position: Top Margin', 'thecraft'),
				'param_name' => 'position_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Position: Bottom Margin', 'thecraft'),
				'param_name' => 'position_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	    )
	) );
} );

// Action Box
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Action Box', 'thecraft'),
	    'description' => esc_html__('Displaying Action-Box or Promo-Box.', 'thecraft'),
	    'base' => 'actionbox',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'thecraft'),
	    'params' => array(
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Heading Icon?', 'thecraft' ),
				'param_name' => 'show_icon',
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
            // Content
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'thecraft'),
				'param_name' => 'heading_content',
				'group' => esc_html__( 'Content', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'thecraft' ),
				'param_name' => 'heading_tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h2',
				'group' => esc_html__( 'Content', 'thecraft' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Heading Text', 'thecraft'),
				'param_name' => 'heading_text',
				'value' => '',
				'group' => esc_html__( 'Content', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'thecraft'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'thecraft' ),
            ),
			// Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'thecraft' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'thecraft' ),
				'value' => array(
					esc_html__( '', 'thecraft' ) => '',
					esc_html__( 'Linearicons', 'thecraft' ) => 'extraicon',
					esc_html__( 'FontAwesome', 'thecraft' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'thecraft' ) => 'openiconic',
					esc_html__( 'Typicons', 'thecraft' ) => 'typicons',
					esc_html__( 'Entypo', 'thecraft' ) => 'entypo',
					esc_html__( 'Linecons', 'thecraft' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'thecraft' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Font Size', 'thecraft'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Style', 'thecraft' ),
				'param_name' => 'icon_style',
				'value'      => array(
					'Background' => 'background',
					'Outline' => 'outline',
				),
				'std'		=> 'background',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Width', 'thecraft'),
				'param_name' => 'icon_width',
				'value' => '60',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Height', 'thecraft'),
				'param_name' => 'icon_height',
				'value' => '60',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Line Height', 'thecraft'),
				'param_name' => 'icon_line_height',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Rounded', 'thecraft'),
				'param_name' => 'icon_rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'thecraft'),
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'thecraft'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Background', 'thecraft'),
				'param_name' => 'icon_background',
				'value' => '',
				'dependency' => array( 'element' => 'icon_style', 'value' => 'background' ),
				'group' => esc_html__( 'Icon', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Border Color', 'thecraft'),
				'param_name' => 'icon_border',
				'value' => '',
				'dependency' => array( 'element' => 'icon_style', 'value' => 'outline' ),
				'group' => esc_html__( 'Icon', 'thecraft' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Border Width', 'thecraft'),
				'param_name' => 'icon_border_width',
				'value' => '',
				'description'	=> esc_html__('Default: 1px', 'thecraft'),
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'outline' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Border Style', 'thecraft' ),
				'param_name' => 'icon_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'outline' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color: Hover', 'thecraft'),
				'param_name' => 'icon_color_hover',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Background: Hover', 'thecraft'),
				'param_name' => 'icon_background_hover',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Border: Hover', 'thecraft'),
				'param_name' => 'icon_border_hover',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'outline' ),
            ),
			// Sub-Heading
			array(
				'type' => 'headings',
				'text' => esc_html__('Sub-Heading', 'thecraft'),
				'param_name' => 'subheading_content',
				'group' => esc_html__( 'Content', 'thecraft' ),
			),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Sub-Heading (Optional)', 'thecraft' ),
				'param_name' => 'subheading_text',
				'group' => esc_html__( 'Content', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Sub-Heading Color', 'thecraft'),
				'param_name' => 'subheading_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'thecraft' ),
            ),
            // Button
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Text (Required)', 'thecraft'),
				'param_name' => 'link_text',
				'value' => 'READ MORE',
				'group' => esc_html__( 'Button', 'thecraft' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button URL (Required):', 'thecraft'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'Button', 'thecraft' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'thecraft' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
				'group' => esc_html__( 'Button', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Style', 'thecraft' ),
				'param_name' => 'button_style',
				'value'      => array(
					'Background' => 'background',
					'Outline' => 'outline',
				),
				'std'		=> 'background',
				'group' => esc_html__( 'Button', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Size', 'thecraft' ),
				'param_name' => 'button_size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
				'group' => esc_html__( 'Button', 'thecraft' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Rounded', 'thecraft'),
				'param_name' => 'button_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 30px', 'thecraft'),
				'group' => esc_html__( 'Button', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text Color', 'thecraft'),
				'param_name' => 'button_text_color',
				'value' => '',
				'group' => esc_html__( 'Button', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background', 'thecraft'),
				'param_name' => 'button_background',
				'value' => '',
				'group' => esc_html__( 'Button', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border', 'thecraft'),
				'param_name' => 'button_border',
				'value' => '',
				'group' => esc_html__( 'Button', 'thecraft' ),
				'dependency' => array( 'element' => 'button_style', 'value' => 'outline' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text: Hover', 'thecraft'),
				'param_name' => 'button_text_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background: Hover', 'thecraft'),
				'param_name' => 'button_background_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border: Hover', 'thecraft'),
				'param_name' => 'button_border_hover',
				'value' => '',
				'group' => esc_html__( 'Button', 'thecraft' ),
				'dependency' => array( 'element' => 'button_style', 'value' => 'outline' ),
            ),
            // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'thecraft'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'thecraft' ),
				'param_name' => 'heading_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'thecraft' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'thecraft'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'thecraft'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Sub-Heading', 'thecraft'),
				'param_name' => 'subheading_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading Font Family', 'thecraft' ),
				'param_name' => 'subheading_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading Font Weight', 'thecraft' ),
				'param_name' => 'subheading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading Font Size', 'thecraft'),
				'param_name' => 'subheading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading Line-Height', 'thecraft'),
				'param_name' => 'subheading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Button', 'thecraft'),
				'param_name' => 'button_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Family', 'thecraft' ),
				'param_name' => 'button_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Weight', 'thecraft' ),
				'param_name' => 'button_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Font Size', 'thecraft'),
				'param_name' => 'button_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Line-Height', 'thecraft'),
				'param_name' => 'button_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Right Margin', 'thecraft'),
				'param_name' => 'icon_right_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
				'description'	=> esc_html__('Spacing between the icon and the heading. Default: 50px.', 'thecraft'),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'thecraft'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'thecraft'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button: Top Margin', 'thecraft'),
				'param_name' => 'button_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button: Bottom Margin', 'thecraft'),
				'param_name' => 'button_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	    )
	) );
} );

// Image Box
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Image Box', 'thecraft'),
	    'description' => esc_html__('Displaying image box.', 'thecraft'),
	    'base' => 'imagebox',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'thecraft'),
	    'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> '',
			),
	        // Image
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'thecraft'),
				'param_name' => 'image',
				'value' => '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Padding', 'thecraft'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left.', 'thecraft'),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'thecraft'),
				'param_name' => 'background_color',
				'value' => '#f6f6f6',
            ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Box Shadow?', 'thecraft' ),
				'param_name' => 'box_shadow',
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			// Content
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'thecraft'),
				'param_name' => 'hading_content',
				'group' => esc_html__( 'Content', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'thecraft' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h3',
				'group' => esc_html__( 'Content', 'thecraft' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Heading', 'thecraft'),
				'param_name' => 'heading',
				'value' => 'Heading Text',
				'group' => esc_html__( 'Content', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'thecraft'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'thecraft' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Separator', 'thecraft'),
				'param_name' => 'separator_content',
				'group' => esc_html__( 'Content', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Separator', 'thecraft' ),
				'param_name' => 'separator',
				'value'      => array(
					'No Separator' => '',
					'Line' => 'line'
				),
				'std'		=> '',
				'group' => esc_html__( 'Content', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Line: Full-width', 'thecraft' ),
				'param_name' => 'line_full',
				'value'      => array(
					'No' => 'no',
					'Yes' => 'yes',
				),
				'std'		=> 'no',
				'group' => esc_html__( 'Content', 'thecraft' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Width', 'thecraft'),
				'param_name' => 'line_width',
				'value' => '50',
				'group' => esc_html__( 'Content', 'thecraft' ),
				'dependency' => array( 'element' => 'line_full', 'value' => 'no' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Height', 'thecraft'),
				'param_name' => 'line_height',
				'value' => '2',
				'group' => esc_html__( 'Content', 'thecraft' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line Color', 'thecraft'),
				'param_name' => 'line_color',
				'value' => '#eee',
				'group' => esc_html__( 'Content', 'thecraft' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Description', 'thecraft'),
				'param_name' => 'desc_content',
				'group' => esc_html__( 'Content', 'thecraft' ),
			),
			array(
				'type' 		=> 'textarea',
				'heading' 	=> esc_html__('Description', 'thecraft'),
				'param_name' 	=> 'description',
				'value' 		=> '',
				'group' => esc_html__( 'Content', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Description Color', 'thecraft'),
				'param_name' => 'desc_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'thecraft' ),
            ),
			// Button or Link
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Link or Button?', 'thecraft' ),
				'param_name' => 'show_url',
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
				'group' => esc_html__( 'URL', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'thecraft' ),
				'param_name' => 'url_style',
				'value'      => array(
					'Link' => 'link',
					'Button' => 'button',
				),
				'std'		=> 'link',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text (Required)', 'thecraft'),
				'param_name' => 'link_text',
				'value' => 'READ MORE',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('URL (Required):', 'thecraft'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'thecraft' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Style', 'thecraft' ),
				'param_name' => 'button_style',
				'value'      => array(
					'Background' => 'background',
					'Outline' => 'outline',
				),
				'std'		=> 'background',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Size', 'thecraft' ),
				'param_name' => 'button_size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Rounded', 'thecraft'),
				'param_name' => 'button_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 30px', 'thecraft'),
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text Color', 'thecraft'),
				'param_name' => 'button_text_color',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background', 'thecraft'),
				'param_name' => 'button_background',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'button_style', 'value' => 'background' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border', 'thecraft'),
				'param_name' => 'button_border',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'button_style', 'value' => 'outline' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text: Hover', 'thecraft'),
				'param_name' => 'button_text_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background: Hover', 'thecraft'),
				'param_name' => 'button_background_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border: Hover', 'thecraft'),
				'param_name' => 'button_border_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'button_style', 'value' => 'outline' ),
            ),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'thecraft'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'thecraft' ),
				'param_name' => 'heading_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'thecraft' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'thecraft'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'thecraft'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Description', 'thecraft'),
				'param_name' => 'desc_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Family', 'thecraft' ),
				'param_name' => 'desc_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Weight', 'thecraft' ),
				'param_name' => 'desc_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Font Size', 'thecraft'),
				'param_name' => 'desc_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Line-Height', 'thecraft'),
				'param_name' => 'desc_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Button', 'thecraft'),
				'param_name' => 'btn_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Family', 'thecraft' ),
				'param_name' => 'button_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Weight', 'thecraft' ),
				'param_name' => 'button_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Font Size', 'thecraft'),
				'param_name' => 'button_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'thecraft'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'thecraft'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Separator: Top Margin', 'thecraft'),
				'param_name' => 'sep_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Separator: Bottom Margin', 'thecraft'),
				'param_name' => 'sep_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Top Margin', 'thecraft'),
				'param_name' => 'desc_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Bottom Margin', 'thecraft'),
				'param_name' => 'desc_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	    )
	) );
} );

// Links
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Links', 'thecraft' ),
        'description' => esc_html__('Displaying a link.', 'thecraft'),
		'base'        => 'advlinks',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'params'      => array(
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Content (Required)', 'thecraft' ),
				'param_name' => 'content',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color', 'thecraft'),
				'param_name' => 'color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Link (Required)', 'thecraft'),
				'param_name' => 'link_url',
				'value' => '',
            ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'consultiz' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'consultiz' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'consultiz' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'consultiz'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'consultiz'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'thecraft' ),
				'param_name' => 'content_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'thecraft' ),
				'param_name' => 'content_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Font Size', 'thecraft'),
				'param_name' => 'content_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
		)
	) );
} );

// List
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'List', 'thecraft' ),
        'description' => esc_html__('Displaying Icon lists with custom icon.', 'thecraft'),
		'base'        => 'advlist',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'params'      => array(
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'thecraft'),
				'param_name' => 'content_background_color',
				'value' => '',
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Border Style', 'thecraft' ),
				'param_name' => 'content_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed',
				),
				'std'		=> 'solid',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'thecraft'),
				'param_name' => 'content_border_color',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'thecraft'),
				'param_name' => 'content_border_width',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 0px 0px 1px 0px', 'thecraft'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding', 'thecraft'),
				'param_name' => 'content_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 12px 30px 12px 30px', 'thecraft'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Bottom Margin', 'thecraft'),
				'param_name' => 'content_bottom_margin',
				'value' => '',
	        ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'consultiz' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'consultiz' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'consultiz' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'consultiz'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'consultiz'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'thecraft' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'thecraft' ),
				'value' => array(
					esc_html__( '', 'thecraft' ) => '',
					esc_html__( 'Linearicons', 'thecraft' ) => 'extraicon',
					esc_html__( 'FontAwesome', 'thecraft' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'thecraft' ) => 'openiconic',
					esc_html__( 'Typicons', 'thecraft' ) => 'typicons',
					esc_html__( 'Entypo', 'thecraft' ) => 'entypo',
					esc_html__( 'Linecons', 'thecraft' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'thecraft' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'thecraft'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Font Size', 'thecraft'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Position', 'thecraft' ),
				'param_name' => 'icon_position',
				'value'      => array(
					'Middle' => 'icon-middle',
					'Top' => 'icon-top',
				),
				'std'		=> 'icon-middle',
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Icon Top Margin', 'thecraft' ),
				'param_name' => 'icon_top_margin',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			// Content
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Content', 'thecraft' ),
				'param_name' => 'content',
				'group' => esc_html__( 'Content', 'thecraft' ), 
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Content Color', 'thecraft'),
				'param_name' => 'content_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'thecraft' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Left Padding', 'thecraft'),
				'param_name' => 'content_left_padding',
				'value' => '30',
				'group' => esc_html__( 'Content', 'thecraft' ),
				'description'	=> esc_html__('Spacing between the icon and the content', 'thecraft'),
				'dependency' => array( 'element' => 'style', 'value' => 'icon-left' ),
	        ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Content Font Family', 'thecraft' ),
				'param_name' => 'content_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Content Font Weight', 'thecraft' ),
				'param_name' => 'content_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Font Size', 'thecraft'),
				'param_name' => 'content_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content Line-Height', 'thecraft'),
				'param_name' => 'content_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
		)
	) );
} );

// Icon Box
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Icon Box', 'thecraft' ),
        'description' => esc_html__('Displaying Icon Box with custom icon.', 'thecraft'),
		'base'        => 'iconbox',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'thecraft' ),
				'param_name' => 'style',
				'value'      => array(
					'Icon Top' => 'icon-top',
					'Icon Left' => 'icon-left',
					'Icon Right' => 'icon-right',
					'Icon Left 2' => 'icon-left2',
				),
				'std'		=> 'icon-top',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'thecraft' ),
				'param_name' => 'text_align',
				'value'      => array(
					'Left' => 'align-left',
					'Center' => 'align-center',
					'Right' => 'align-right',
				),
				'std'		=> 'align-left',
				'dependency' => array( 'element' => 'style', 'value' => 'icon-top' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon to Display', 'thecraft' ),
				'param_name' => 'icon_display',
				'value'      => array(
					'Icon Font' => 'icon-font',
					'Icon Image' => 'icon-image',
				),
				'std'		=> 'icon-font',
			),
	        // Image
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'thecraft'),
				'param_name' => 'image',
				'value' => '',
				'group' => esc_html__( 'Image', 'thecraft' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-image' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Width', 'thecraft'),
				'param_name' => 'image_width',
				'value' => '',
				'description'	=> esc_html__('Ex: 100px', 'thecraft'),
				'group' => esc_html__( 'Image', 'thecraft' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-image' ),
	        ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'consultiz' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'consultiz' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'consultiz' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'consultiz'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'consultiz'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'thecraft' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'thecraft' ),
				'value' => array(
					esc_html__( '', 'thecraft' ) => '',
					esc_html__( 'Linearicons', 'thecraft' ) => 'extraicon',
					esc_html__( 'FontAwesome', 'thecraft' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'thecraft' ) => 'openiconic',
					esc_html__( 'Typicons', 'thecraft' ) => 'typicons',
					esc_html__( 'Entypo', 'thecraft' ) => 'entypo',
					esc_html__( 'Linecons', 'thecraft' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'thecraft' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Font Size', 'thecraft'),
				'param_name' => 'icon_font_size',
				'value' => '30px',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Style', 'thecraft' ),
				'param_name' => 'icon_style',
				'value'      => array(
					'Background' => 'background',
					'Outline' => 'outline',
				),
				'std'		=> 'background',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Width', 'thecraft'),
				'param_name' => 'icon_width',
				'value' => '60',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Height', 'thecraft'),
				'param_name' => 'icon_height',
				'value' => '60',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Line Height', 'thecraft'),
				'param_name' => 'icon_line_height',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Rounded', 'thecraft'),
				'param_name' => 'icon_rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'thecraft'),
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'thecraft'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Background', 'thecraft'),
				'param_name' => 'icon_background',
				'value' => '',
				'dependency' => array( 'element' => 'icon_style', 'value' => 'background' ),
				'group' => esc_html__( 'Icon', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Border Color', 'thecraft'),
				'param_name' => 'icon_border',
				'value' => '',
				'dependency' => array( 'element' => 'icon_style', 'value' => 'outline' ),
				'group' => esc_html__( 'Icon', 'thecraft' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Border Width', 'thecraft'),
				'param_name' => 'icon_border_width',
				'value' => '',
				'description'	=> esc_html__('Default: 1px', 'thecraft'),
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'outline' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Border Style', 'thecraft' ),
				'param_name' => 'icon_border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'outline' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color: Hover', 'thecraft'),
				'param_name' => 'icon_color_hover',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Background: Hover', 'thecraft'),
				'param_name' => 'icon_background_hover',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Border: Hover', 'thecraft'),
				'param_name' => 'icon_border_hover',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'icon_style', 'value' => 'outline' ),
            ),
			// Content
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'thecraft' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h3',
				'group' => esc_html__( 'Content', 'thecraft' ),
			),
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Heading', 'thecraft'),
				'param_name' => 'heading',
				'value' => '',
				'group' => esc_html__( 'Content', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'thecraft'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'thecraft' ),
            ),
			array(
				'type' => 'textarea',
				'heading' => esc_html__( 'Description', 'thecraft' ),
				'param_name' => 'description',
				'group' => esc_html__( 'Content', 'thecraft' ), 
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Description Color', 'thecraft'),
				'param_name' => 'desc_color',
				'value' => '',
				'group' => esc_html__( 'Content', 'thecraft' ),
            ),
			// Button or Link
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Link or Button?', 'thecraft' ),
				'param_name' => 'show_url',
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
				'group' => esc_html__( 'URL', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'thecraft' ),
				'param_name' => 'url_style',
				'value'      => array(
					'Link' => 'link',
					'Button' => 'button',
				),
				'std'		=> 'link',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text (Required)', 'thecraft'),
				'param_name' => 'link_text',
				'value' => 'READ MORE',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
	        ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('URL (Required):', 'thecraft'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'thecraft' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'show_url', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Style', 'thecraft' ),
				'param_name' => 'button_style',
				'value'      => array(
					'Background' => 'background',
					'Outline' => 'outline',
				),
				'std'		=> 'background',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Size', 'thecraft' ),
				'param_name' => 'button_size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Rounded', 'thecraft'),
				'param_name' => 'button_rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 30px', 'thecraft'),
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text Color', 'thecraft'),
				'param_name' => 'button_text_color',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background', 'thecraft'),
				'param_name' => 'button_background',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'button_style', 'value' => 'background' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border', 'thecraft'),
				'param_name' => 'button_border',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'button_style', 'value' => 'outline' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Text: Hover', 'thecraft'),
				'param_name' => 'button_text_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Background: Hover', 'thecraft'),
				'param_name' => 'button_background_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'url_style', 'value' => 'button' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Button Border: Hover', 'thecraft'),
				'param_name' => 'button_border_hover',
				'value' => '',
				'group' => esc_html__( 'URL', 'thecraft' ),
				'dependency' => array( 'element' => 'button_style', 'value' => 'outline' ),
            ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'thecraft'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'thecraft' ),
				'param_name' => 'heading_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'thecraft' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'thecraft'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'thecraft'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Description', 'thecraft'),
				'param_name' => 'desc_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Family', 'thecraft' ),
				'param_name' => 'desc_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Description Font Weight', 'thecraft' ),
				'param_name' => 'desc_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Font Size', 'thecraft'),
				'param_name' => 'desc_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description Line-Height', 'thecraft'),
				'param_name' => 'desc_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Button', 'thecraft'),
				'param_name' => 'button_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Family', 'thecraft' ),
				'param_name' => 'button_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Button Font Weight', 'thecraft' ),
				'param_name' => 'button_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Font Size', 'thecraft'),
				'param_name' => 'button_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Button Line-Height', 'thecraft'),
				'param_name' => 'button_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content: Left Padding', 'thecraft'),
				'param_name' => 'content_left_padding',
				'value' => '85px',
				'group' => esc_html__( 'Spacing', 'thecraft' ), 
				'dependency' => array( 'element' => 'style', 'value' => 'icon-left' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Content: Right Padding', 'thecraft'),
				'param_name' => 'content_right_padding',
				'value' => '85px',
				'group' => esc_html__( 'Spacing', 'thecraft' ), 
				'dependency' => array( 'element' => 'style', 'value' => 'icon-right' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Left Margin', 'thecraft'),
				'param_name' => 'heading_left_margin',
				'value' => '85px',
				'group' => esc_html__( 'Spacing', 'thecraft' ), 
				'dependency' => array( 'element' => 'style', 'value' => 'icon-left2' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'thecraft'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'thecraft'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Top Margin', 'thecraft'),
				'param_name' => 'desc_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Description: Bottom Margin', 'thecraft'),
				'param_name' => 'desc_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
		)
	) );
} );

// PriceTable with Switcher 2
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Price Tables with Switcher 2', 'thecraft' ),
        'description' => esc_html__('Displaying 02 Price Tables with Switcher.', 'thecraft'),
		'base'        => 'pricetables',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Position', 'thecraft' ),
				'param_name' => 'position',
				'value'      => array(
					'Heading + Prices' => 'style-1',
					'Prices + Heading' => 'style-2',
				),
				'std'		=> '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Main Heading', 'thecraft'),
				'param_name' => 'main_heading',
				'value' => '',
	        ),
	        array(
				'type' => 'textarea',
				'heading' => esc_html__('Sub Heading', 'thecraft'),
				'param_name' => 'sub_heading',
				'value' => '',
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Switch Text 1', 'thecraft'),
				'param_name' => 'switch_text_1',
				'value' => '',
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Switch Text 2', 'thecraft'),
				'param_name' => 'switch_text_2',
				'value' => '',
	        ),
	        array(
				'type' => 'textarea',
				'heading' => esc_html__('Note Text', 'thecraft'),
				'param_name' => 'note_text',
				'value' => '',
	        ),
			array(
				'type' => 'vc_link',
				"heading" => __("Extra Link", 'thecraft'),
				"param_name" => "exlink",         
			), 
            // params group
            array(
				'type' => 'param_group',
				'heading' => 'Price Table Box',
				'value' => '',
				'param_name' => 'pricebox',
				'group' => esc_html__( 'Price Tables', 'thecraft' ),
				'params' => array(
		            array(
						'type' => 'textfield',
						'heading' => esc_html__('Heading', 'thecraft'),
						'param_name' => 'heading',
						'value' => '',
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Heading Color', 'thecraft'),
						'param_name' => 'heading_color',
						'value' => '',
		            ),
		            array(
						'type' => 'textfield',
						'heading' => esc_html__('Price', 'thecraft'),
						'param_name' => 'price',
						'value' => '',
						'description'	=> esc_html__('The price for this package.', 'thecraft'),
		            ),
					array(
						'type'       => 'dropdown',
						'heading'    => esc_html__( 'Price Color', 'thecraft' ),
						'param_name' => 'price_color',
						'value'      => array(
							'Default' => 'default',
							'Accent' => 'accent',
							'Color 1' => 'color-1',
							'Color 2' => 'color-2',
							'Color 3' => 'color-3',
							'Color 4' => 'color-4',
							'Color 5' => 'color-5',
							'Color 6' => 'color-6',
						),
						'std'		=> 'default',
					),
					array(
						'type' 		=> 'textarea',
						'heading' 	=> esc_html__('Text', 'thecraft'),
						'param_name' 	=> 'text',
						'value' 		=> '',
					),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Text Color', 'thecraft'),
						'param_name' => 'text_color',
						'value' => '',
		            ),
					array(
						'type' 		=> 'textarea',
						'heading' 	=> esc_html__('Features', 'thecraft'),
						'param_name' 	=> 'features',
						'value' 		=> '',
					),
			        array(
						'type' => 'textfield',
						'heading' => esc_html__('Button Content', 'thecraft'),
						'param_name' => 'button_content',
						'value' => '',
			        ),
			        array(
						'type' => 'textfield',
						'heading' => esc_html__('Button Link (URL)', 'thecraft'),
						'param_name' => 'button_url',
						'value' => '',
			        ),
		            array(
						'type' => 'textfield',
						'heading' => esc_html__('Button Rounded', 'thecraft'),
						'param_name' => 'button_rounded',
						'value' => '',
						'description'	=> esc_html__('Ex: 30px', 'thecraft'),
		            ),
					array(
						'type'       => 'dropdown',
						'heading'    => esc_html__( 'Button Style', 'thecraft' ),
						'param_name' => 'button_style',
						'value'      => array(
							'Background' => 'background',
							'Outline' => 'outline',
						),
						'std'		=> 'background',
					),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Button Text', 'thecraft'),
						'param_name' => 'button_text',
						'value' => '',
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Button Background', 'thecraft'),
						'param_name' => 'button_background',
						'value' => '',
						'dependency' => array( 'element' => 'button_style', 'value' => 'background' ),
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Button Border', 'thecraft'),
						'param_name' => 'button_border',
						'value' => '',
						'dependency' => array( 'element' => 'button_style', 'value' => 'outline' ),
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Button Text: Hover', 'thecraft'),
						'param_name' => 'button_text_hover',
						'value' => '',
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Button Background: Hover', 'thecraft'),
						'param_name' => 'button_background_hover',
						'value' => '',
		            ),
		            array(
						'type' => 'colorpicker',
						'heading' => esc_html__('Button Border: Hover', 'thecraft'),
						'param_name' => 'button_border_hover',
						'value' => '',
						'dependency' => array( 'element' => 'button_style', 'value' => 'outline' ),
		            ),
				)                
            ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'thecraft'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Bottom Margin', 'thecraft'),
				'param_name' => 'subheading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Switcher: Bottom Margin', 'thecraft'),
				'param_name' => 'switcher_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
		)
	) );
} );

// Content Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_contentbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Content Box', 'thecraft'),
		'description' => esc_html__('Content Box.', 'thecraft'),
		'base' => 'contentbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'contentbox'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Background Image', 'thecraft'),
				'param_name' => 'bg_image',
				'value' => '',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Position', 'thecraft' ),
				'param_name'  => 'bg_position',
				'value'       => array(
					'Left Top' => 'lt',
					'Right Top' => 'rt',
					'Center Top' => 'ct',
					'Center Center' => 'cc',
					'Center Bottom'   => 'cb',
					'Left Bottom' => 'lb',
					'Right Bottom'   => 'rb',
				),
				'std'		=> 'lt',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Repeat', 'thecraft' ),
				'param_name'  => 'bg_repeat',
				'value'       => array(
					'No Repeat' => 'no-repeat',
					'Repeat'   => 'repeat',
					'Repeat X'   => 'repeat-x',
					'Repeat Y'   => 'repeat-y',
				),
				'std'		=> 'no-repeat',
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Background Size', 'thecraft' ),
				'param_name'  => 'bg_size',
				'value'       => array(
					'Auto' 	   => '',
					'Cover'        => 'cover',
				),
				'std'		=> '',
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'consultiz' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'consultiz' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'consultiz' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'consultiz'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'consultiz'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            // Spacing
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'center',
				),
				'std'		=> '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Width', 'thecraft'),
				'param_name' => 'width',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
				'description'	=> esc_html__('Ex: 600px', 'thecraft'),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Width on mobile', 'thecraft'),
				'param_name' => 'mobile_width',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
				'description'	=> esc_html__('Ex: 400px', 'thecraft'),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding', 'thecraft'),
				'param_name' => 'padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'thecraft'),
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding on mobile', 'thecraft'),
				'param_name' => 'mobile_padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'thecraft'),
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin', 'thecraft'),
				'param_name' => 'margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'thecraft'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin on mobile', 'thecraft'),
				'param_name' => 'mobile_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ), 
				'description'	=> esc_html__('Top Right Bottom Left. You can use % or px value.', 'thecraft'),
	        ),
            // Design
			array(
				'type' => 'headings',
				'text' => esc_html__('Background', 'thecraft'),
				'param_name' => 'heading_background',
				'group' => esc_html__( 'Design', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'thecraft'),
				'param_name' => 'background_color',
				'value' => '',
				'group' => esc_html__( 'Design', 'thecraft' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Border', 'thecraft'),
				'param_name' => 'heading_border',
				'group' => esc_html__( 'Design', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'thecraft'),
				'param_name' => 'border_color',
				'value' => '',
				'group' => esc_html__( 'Design', 'thecraft' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'thecraft'),
				'param_name' => 'border_width',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 0px 0px 1px 0px', 'thecraft'),
				'group' => esc_html__( 'Design', 'thecraft' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Rounded', 'thecraft'),
				'param_name' => 'heading_rounded',
				'group' => esc_html__( 'Design', 'thecraft' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'thecraft'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('Ex: 6px', 'thecraft'),
				'group' => esc_html__( 'Design', 'thecraft' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Box Shadow', 'thecraft'),
				'param_name' => 'heading_shadow',
				'group' => esc_html__( 'Design', 'thecraft' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Shadow', 'thecraft' ),
				'param_name'  => 'inset',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'thecraft'),
				'param_name' => 'horizontal',
				'value' => '',
				'group' => esc_html__( 'Design', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'thecraft'),
				'param_name' => 'vertical',
				'value' => '',
				'group' => esc_html__( 'Design', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'thecraft'),
				'param_name' => 'blur',
				'value' => '',
				'group' => esc_html__( 'Design', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'thecraft'),
				'param_name' => 'spread',
				'value' => '',
				'group' => esc_html__( 'Design', 'thecraft' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'thecraft'),
				'param_name' => 'shadow_color',
				'value' => '',
				'group' => esc_html__( 'Design', 'thecraft' ),
            ),
	        // Hover
			array(
				'type' => 'headings',
				'text' => esc_html__('Background', 'thecraft'),
				'param_name' => 'heading_background_hover',
				'group' => esc_html__( 'Hover', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'thecraft'),
				'param_name' => 'background_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'thecraft' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Border', 'thecraft'),
				'param_name' => 'heading_border_hover',
				'group' => esc_html__( 'Hover', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'thecraft'),
				'param_name' => 'border_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'thecraft' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'thecraft'),
				'param_name' => 'border_width_hover',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 0px 0px 1px 0px', 'thecraft'),
				'group' => esc_html__( 'Hover', 'thecraft' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Rounded', 'thecraft'),
				'param_name' => 'heading_rounded_hover',
				'group' => esc_html__( 'Hover', 'thecraft' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'thecraft'),
				'param_name' => 'rounded_hover',
				'value' => '',
				'description'	=> esc_html__('Ex: 6px', 'thecraft'),
				'group' => esc_html__( 'Hover', 'thecraft' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Box Shadow', 'thecraft'),
				'param_name' => 'heading_shadow_hover',
				'group' => esc_html__( 'Hover', 'thecraft' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Option Shadow', 'thecraft' ),
				'param_name'  => 'inset_hover',
				'value'       => array(
					'Outset'   => '',
					'Inset'   => 'inset',
				),
				'std'		=> '',
				'group' => esc_html__( 'Hover', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Horizontal (Required)', 'thecraft'),
				'param_name' => 'horizontal_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Vertical (Required)', 'thecraft'),
				'param_name' => 'vertical_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Blur (Required)', 'thecraft'),
				'param_name' => 'blur_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spread (Required)', 'thecraft'),
				'param_name' => 'spread_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'thecraft' ),
	        ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Shadow Color (Required)', 'thecraft'),
				'param_name' => 'shadow_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'thecraft' ),
            ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Transforms', 'thecraft'),
				'param_name' => 'heading_transforms',
				'group' => esc_html__( 'Hover', 'thecraft' ),
			),
			array(
				'type' => 'number',
				'heading' => esc_html__('Translate X', 'thecraft'),
				'param_name' => 'translatex',
				'value' => 0,
				'suffix' => 'px',
				'group' => esc_html__( 'Hover', 'thecraft' ),
		  	),
			array(
				'type' => 'number',
				'heading' => esc_html__('Translate Y', 'thecraft'),
				'param_name' => 'translatey',
				'value' => 0,
				'suffix' => 'px',
				'group' => esc_html__( 'Hover', 'thecraft' ),
		  	),
        )
    ) );
} );

// Headings
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Headings', 'thecraft' ),
        'description' => esc_html__('Displaying awesome heading styles.', 'thecraft'),
		'base'        => 'headings',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Right' => 'text-right',
					'Center' => 'text-center',
				),
				'std'		=> 'text-center',
			),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Heading Text', 'thecraft' ),
				'param_name' => 'heading',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'thecraft'),
				'param_name' => 'heading_color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Max-Width', 'thecraft'),
				'param_name' => 'heading_width',
				'value' => '',
            ),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Sub-Heading (Optional)', 'thecraft' ),
				'param_name' => 'subheading',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Sub-Heading Color', 'thecraft'),
				'param_name' => 'subheading_color',
				'value' => '',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading Max-Width', 'thecraft'),
				'param_name' => 'subheading_width',
				'value' => '',
            ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'consultiz' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'consultiz' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'consultiz' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'consultiz'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'consultiz'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Separator', 'thecraft' ),
				'param_name' => 'separator',
				'value'      => array(
					'No Separator' => '',
					'Line' => 'line',
					'Image' => 'image',
				),
				'std'		=> '',
				'group' => esc_html__( 'Separator', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Separator Position', 'thecraft' ),
				'param_name' => 'sep_position',
				'value'      => array(
					'Top' => 'top',
					'Between Heading & Sub-Heading' => 'between',
					'Bottom' => 'bottom',
					'Left' => 'left',
				),
				'std'		=> 'between',
				'group' => esc_html__( 'Separator', 'thecraft' ),
				'dependency' => array( 'element' => 'separator', 'value' => array( 'line', 'image' ) ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Width', 'thecraft'),
				'param_name' => 'line_width',
				'value' => '50',
				'group' => esc_html__( 'Separator', 'thecraft' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Height', 'thecraft'),
				'param_name' => 'line_height',
				'value' => '2',
				'group' => esc_html__( 'Separator', 'thecraft' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Right Margin', 'thecraft'),
				'param_name' => 'line_right_margin',
				'value' => '20',
				'group' => esc_html__( 'Separator', 'thecraft' ),
				'dependency' => array( 'element' => 'sep_position', 'value' => 'left' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line Color', 'thecraft'),
				'param_name' => 'line_color',
				'value' => '',
				'group' => esc_html__( 'Separator', 'thecraft' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'line' ),
            ),
	        // Image
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'thecraft'),
				'param_name' => 'image',
				'value' => '',
				'group' => esc_html__( 'Separator', 'thecraft' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'image' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Image Width (Optional)', 'thecraft'),
				'param_name' => 'image_width',
				'value' => '',
				'group' => esc_html__( 'Separator', 'thecraft' ),
				'dependency' => array( 'element' => 'separator', 'value' => 'image' ),
	        ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'thecraft'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'thecraft' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h2',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Family', 'thecraft' ),
				'param_name' => 'heading_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Weight', 'thecraft' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Font Size', 'thecraft'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Font Size on Mobile', 'thecraft'),
				'param_name' => 'heading_font_size_mobile',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Line Height', 'thecraft'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Sub-Heading', 'thecraft'),
				'param_name' => 'subheading_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Family', 'thecraft' ),
				'param_name' => 'subheading_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Weight', 'thecraft' ),
				'param_name' => 'subheading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Font Size', 'thecraft'),
				'param_name' => 'subheading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Line Height', 'thecraft'),
				'param_name' => 'subheading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Sub-Heading: Font Style', 'thecraft' ),
				'param_name' => 'subheading_font_style',
				'value'      => array(
					'Normal' => 'normal',
					'Italic' => 'italic',
				),
				'std'		=> 'normal',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'thecraft'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'thecraft'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Top Margin', 'thecraft'),
				'param_name' => 'subheading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Sub-Heading: Bottom Margin', 'thecraft'),
				'param_name' => 'subheading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
		)
	) );
} );

// Animation Block
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_animationblock extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Animation Block', 'thecraft'),
		'description' => esc_html__('Apply animations anywhere.', 'thecraft'),
		'base' => 'animationblock',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'animationblock'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'consultiz' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'consultiz' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'consultiz' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'consultiz'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'consultiz'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
         )
    ) );
} );

// Counter
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Counter', 'thecraft' ),
        'description' => esc_html__('Displaying a counter.', 'thecraft'),
		'base'        => 'counter',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order', 'thecraft' ),
				'param_name' => 'style',
				'value'      => array(
					'No Icon' => 'no-icon',
					'Icon Top' => 'icon-top',
					'Icon Left' => 'icon-left',
				),
				'std'		=> 'no-icon',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order', 'thecraft' ),
				'param_name' => 'order',
				'value'      => array(
					'Number & Heading' => 'nh',
					'Heading & Number' => 'hn',
				),
				'std'		=> 'nh',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
				'dependency' => array( 'element' => 'style', 'value' => array('no-icon','icon-top')  ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'consultiz' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'consultiz' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'consultiz' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'consultiz'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'consultiz'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'thecraft' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'thecraft' ),
				'value' => array(
					esc_html__( '', 'thecraft' ) => '',
					esc_html__( 'Linearicons', 'thecraft' ) => 'extraicon',
					esc_html__( 'FontAwesome', 'thecraft' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'thecraft' ) => 'openiconic',
					esc_html__( 'Typicons', 'thecraft' ) => 'typicons',
					esc_html__( 'Entypo', 'thecraft' ) => 'entypo',
					esc_html__( 'Linecons', 'thecraft' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'style', 'value' => array('icon-top','icon-left')  ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'thecraft' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'thecraft'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'style', 'value' => array('icon-top','icon-left')  ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Font Size', 'thecraft'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'style', 'value' => array('icon-top','icon-left')  ),
	        ),
			// Number
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Number Tag', 'thecraft' ),
				'param_name' => 'number_tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
					'div' => 'div',
				),
				'std'		=> 'h3',
				'group' => esc_html__( 'Number', 'thecraft' ),
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Number', 'thecraft' ),
				'param_name' => 'number',
				'group' => esc_html__( 'Number', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Number Color', 'thecraft'),
				'param_name' => 'number_color',
				'value' => '',
				'group' => esc_html__( 'Number', 'thecraft' ),
            ),
			array(
				'type' => 'number',
				'heading' => esc_html__('Rolling Time', 'thecraft'),
				'param_name' => 'time',
				'value' => 5000,
				'suffix' => 'ms',
				'group' => esc_html__( 'Number', 'thecraft' ),
		  	),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Prefix (Optional)', 'thecraft' ),
				'param_name' => 'number_prefix',
				'group' => esc_html__( 'Number', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Prefix Color', 'thecraft'),
				'param_name' => 'prefix_color',
				'value' => '',
				'group' => esc_html__( 'Number', 'thecraft' ),
            ),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Suffix (Optional)', 'thecraft' ),
				'param_name' => 'number_suffix',
				'group' => esc_html__( 'Number', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Suffix Color', 'thecraft'),
				'param_name' => 'suffix_color',
				'value' => '',
				'group' => esc_html__( 'Number', 'thecraft' ),
            ),
		  	// Heading
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Tag', 'thecraft' ),
				'param_name' => 'heading_tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
					'div' => 'div',
				),
				'std'		=> 'div',
				'group' => esc_html__( 'Heading', 'thecraft' ),
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Heading', 'thecraft' ),
				'param_name' => 'heading',
				'group' => esc_html__( 'Heading', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'thecraft'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Heading', 'thecraft' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Width', 'thecraft'),
				'param_name' => 'line_width',
				'value' => '',
				'group' => esc_html__( 'Separator', 'thecraft' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line Height', 'thecraft'),
				'param_name' => 'line_height',
				'value' => '',
				'group' => esc_html__( 'Separator', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line Color', 'thecraft'),
				'param_name' => 'line_color',
				'value' => '',
				'group' => esc_html__( 'Separator', 'thecraft' ),
            ),
	        // Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Number Settings', 'thecraft'),
				'param_name' => 'number_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
				'class' => '',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Number: Font Family', 'thecraft' ),
				'param_name' => 'number_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Number: Font Weight', 'thecraft' ),
				'param_name' => 'number_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Font Size', 'thecraft'),
				'param_name' => 'number_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Line Height', 'thecraft'),
				'param_name' => 'number_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Letter Spacing', 'thecraft'),
				'param_name' => 'number_letter_spacing',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading Settings', 'thecraft'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
				'class' => '',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Family', 'thecraft' ),
				'param_name' => 'heading_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading: Font Weight', 'thecraft' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Font Size', 'thecraft'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Line Height', 'thecraft'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Letter Spacing', 'thecraft'),
				'param_name' => 'heading_letter_spacing',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Top Margin', 'thecraft'),
				'param_name' => 'icon_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
				'dependency' => array( 'element' => 'style', 'value' => array('icon-left')  ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Right Margin', 'thecraft'),
				'param_name' => 'icon_right_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
				'dependency' => array( 'element' => 'style', 'value' => array('icon-left')  ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Top Margin', 'thecraft'),
				'param_name' => 'number_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number: Bottom Margin', 'thecraft'),
				'param_name' => 'number_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Top Margin', 'thecraft'),
				'param_name' => 'heading_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading: Bottom Margin', 'thecraft'),
				'param_name' => 'heading_bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
		)
	) );
} );

// Video Icon
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Video Icon', 'renewal' ),
        'description' => esc_html__('Displaying Icon with custom video popup.', 'renewal'),
		'base'        => 'videoicon',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'renewal'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Size', 'thecraft' ),
				'param_name' => 'size',
				'value'      => array(
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Right' => 'text-right',
					'Center' => 'text-center',
				),
				'std'		=> 'text-center',
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Link Youtube/Vimeo (URL)', 'renewal'),
				'param_name' => 'video_url',
				'value' => '',
	        ),
		)
	) );
} );

// Simple Image
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Simple Image', 'thecraft' ),
        'description' => esc_html__('Displaying a simple image with animation.', 'thecraft'),
		'base'        => 'simpleimage',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'params'      => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'thecraft'),
				'param_name' => 'image',
				'value' => '',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Right' => 'text-right',
					'Center' => 'text-center',
				),
				'std'		=> 'text-center',
				'dependency' => array( 'element' => 'style', 'value' => 'style-1' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'consultiz' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'consultiz' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'consultiz' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'consultiz'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'consultiz'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
	        // Hyperlink
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Link (URL):', 'thecraft'),
				'param_name' => 'url',
				'value' => '',
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'thecraft' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
			),
		)
	) );
} );

// Parallax Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_parallaxbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
		'name' => esc_html__('Parallax Box', 'thecraft'),
		'description' => esc_html__('Parallax Box.', 'thecraft'),
		'base' => 'parallaxbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'parallaxbox'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Right' => 'text-right',
					'Center' => 'text-center',
				),
				'std'		=> 'text-center',
			),
	        array(
	            "type" => "dropdown",
	            "heading" => esc_html__('Top Padding', 'thecraft'),
	            "param_name" => "top_padding",
	            'value' => array(
	                esc_html__( 'Default', 'thecraft' ) => '',
	                '-250px' => '-250px',
	                '-240px' => '-240px',
	                '-230px' => '-230px',
	                '-220px' => '-220px',
	                '-210px' => '-210px',
	                '-200px' => '-200px',
	                '-190px' => '-190px',
	                '-180px' => '-180px',
	                '-170px' => '-170px',
	                '-160px' => '-160px',
	                '-150px' => '-150px',
	                '-140px' => '-140px',
	                '-130px' => '-130px',
	                '-120px' => '-120px',
	                '-110px' => '-110px',
	                '-100px' => '-100px',
	                '-90px' => '-90px',
	                '-80px' => '-80px',
	                '-70px' => '-70px',
	                '-60px' => '-60px',
	                '-50px' => '-50px',
	                '50px' => '50px',
	                '60px' => '60px',
	                '70px' => '70px',
	                '80px' => '80px',
	                '90px' => '90px',
	                '100px' => '100px',
	                '110px' => '110px',
	                '120px' => '120px',
	                '130px' => '130px',
	                '140px' => '140px',
	                '150px' => '150px',
	                '160px' => '160px',
	                '170px' => '170px',
	                '180px' => '180px',
	                '190px' => '190px',
	                '200px' => '200px',
	                '210px' => '210px',
	                '220px' => '220px',
	                '230px' => '230px',
	                '240px' => '240px',
	                '250px' => '250px',
	            ),     
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => esc_html__('Left Padding', 'thecraft'),
	            "param_name" => "left_padding",
	            'value' => array(
	                esc_html__( 'Default', 'thecraft' ) => '',
	                '-250px' => '-250px',
	                '-240px' => '-240px',
	                '-230px' => '-230px',
	                '-220px' => '-220px',
	                '-210px' => '-210px',
	                '-200px' => '-200px',
	                '-190px' => '-190px',
	                '-180px' => '-180px',
	                '-170px' => '-170px',
	                '-160px' => '-160px',
	                '-150px' => '-150px',
	                '-140px' => '-140px',
	                '-130px' => '-130px',
	                '-120px' => '-120px',
	                '-110px' => '-110px',
	                '-100px' => '-100px',
	                '-90px' => '-90px',
	                '-80px' => '-80px',
	                '-70px' => '-70px',
	                '-60px' => '-60px',
	                '-50px' => '-50px',
	                '50px' => '50px',
	                '60px' => '60px',
	                '70px' => '70px',
	                '80px' => '80px',
	                '90px' => '90px',
	                '100px' => '100px',
	                '110px' => '110px',
	                '120px' => '120px',
	                '130px' => '130px',
	                '140px' => '140px',
	                '150px' => '150px',
	                '160px' => '160px',
	                '170px' => '170px',
	                '180px' => '180px',
	                '190px' => '190px',
	                '200px' => '200px',
	                '210px' => '210px',
	                '220px' => '220px',
	                '230px' => '230px',
	                '240px' => '240px',
	                '250px' => '250px',
	            ),     
	        ),
	        array(
	            'type' => 'textfield',
	            'heading' => esc_html__('Parallax X', 'thecraft'),
	            'param_name' => 'parallax_x',
	            'description'   => esc_html__('X axis translation.', 'thecraft'),
	        ),
	        array(
	            'type' => 'textfield',
	            'heading' => esc_html__('Parallax Y', 'thecraft'),
	            'param_name' => 'parallax_y',
	            'description'   => esc_html__('Y axis translation.', 'thecraft'),
	        ),
	        // Hyperlink
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Link (URL):', 'thecraft'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'Link URL', 'thecraft' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'thecraft' ),
				'param_name' => 'new_tab',
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
				'group' => esc_html__( 'Link URL', 'thecraft' ),
			),
        )
    ) );
} );

// Icons
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Icons', 'thecraft' ),
        'description' => esc_html__('Displaying Icon lists with custom icon.', 'thecraft'),
		'base'        => 'icons',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'params'      => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'thecraft' ),
				'param_name' => 'style',
				'value'      => array(
					'Background' => 'background',
					'Outline' => 'outline',
				),
				'std'		=> 'background',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Width', 'thecraft'),
				'param_name' => 'width',
				'value' => '60',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Height', 'thecraft'),
				'param_name' => 'height',
				'value' => '60',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'thecraft'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'thecraft'),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'thecraft'),
				'param_name' => 'icon_color',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'thecraft'),
				'param_name' => 'background_color',
				'value' => '',
				'dependency' => array( 'element' => 'style', 'value' => 'background' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'thecraft'),
				'param_name' => 'border_color',
				'value' => '',
				'dependency' => array( 'element' => 'style', 'value' => 'outline' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'thecraft'),
				'param_name' => 'border_width',
				'value' => '',
				'description'	=> esc_html__('Default: 1px', 'thecraft'),
				'dependency' => array( 'element' => 'style', 'value' => 'outline' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Border Style', 'thecraft' ),
				'param_name' => 'border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'dependency' => array( 'element' => 'style', 'value' => 'outline' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color: Hover', 'thecraft'),
				'param_name' => 'icon_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color: Hover', 'thecraft'),
				'param_name' => 'background_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color: Hover', 'thecraft'),
				'param_name' => 'border_color_hover',
				'value' => '',
				'dependency' => array( 'element' => 'style', 'value' => 'outline' ),
				'group' => esc_html__( 'Hover', 'thecraft' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin', 'thecraft'),
				'param_name' => 'margin',
				'value' => '',
	        ),
			// Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'thecraft' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'thecraft' ),
				'value' => array(
					esc_html__( '', 'thecraft' ) => '',
					esc_html__( 'Linearicons', 'thecraft' ) => 'extraicon',
					esc_html__( 'FontAwesome', 'thecraft' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'thecraft' ) => 'openiconic',
					esc_html__( 'Typicons', 'thecraft' ) => 'typicons',
					esc_html__( 'Entypo', 'thecraft' ) => 'entypo',
					esc_html__( 'Linecons', 'thecraft' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'thecraft' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Font Size', 'thecraft'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Line Height', 'thecraft'),
				'param_name' => 'icon_line_height',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
	        ),
	        // Hyperlink
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Link (URL):', 'thecraft'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'Hyperlink', 'thecraft' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'thecraft' ),
				'param_name' => 'new_tab',
				'group' => esc_html__( 'Hyperlink', 'thecraft' ),
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
			),
		)
	) );
} );

// Divider
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Divider', 'thecraft'),
        'description' => esc_html__('Displaying lines separator.', 'thecraft'),
        'base' => 'divider',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'divider-left',
					'Center' => 'divider-center',
					'Right' => 'divider-right',
				),
				'std'		=> 'divider-center',
				'dependency' => array( 'element' => 'icon_display', 'value' => 'no-icon' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Line Style', 'thecraft' ),
				'param_name' => 'style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed',
					'Double' => 'double',
				),
				'std'		=> 'solid',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Width', 'thecraft'),
				'param_name' => 'width',
				'value' => '',
				'description' => esc_html__( 'Default: 100%.', 'thecraft' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Height', 'thecraft'),
				'param_name' => 'height',
				'value' => '',
				'description'	=> esc_html__('Default: 1px', 'thecraft'),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Line: Color', 'thecraft'),
				'param_name' => 'color',
				'value' => '',
            ),
			// Icon
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon to Display', 'thecraft' ),
				'param_name' => 'icon_display',
				'value'      => array(
					'No Icon' => 'no-icon',
					'Icon Font' => 'icon-font',
				),
				'std'		=> 'no-icon',
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'thecraft' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'thecraft' ),
				'value' => array(
					esc_html__( '', 'thecraft' ) => '',
					esc_html__( 'Linearicons', 'thecraft' ) => 'extraicon',
					esc_html__( 'FontAwesome', 'thecraft' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'thecraft' ) => 'openiconic',
					esc_html__( 'Typicons', 'thecraft' ) => 'typicons',
					esc_html__( 'Entypo', 'thecraft' ) => 'entypo',
					esc_html__( 'Linecons', 'thecraft' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'thecraft' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon: Color', 'thecraft'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Font Size', 'thecraft'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Padding', 'thecraft'),
				'param_name' => 'icon_padding',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'description'	=> esc_html__('Top Right Bottom Left. Default: 0px 12px 0px 12px', 'thecraft'),
				'dependency' => array( 'element' => 'icon_display', 'value' => 'icon-font' ),
	        ),
	        // Spacing
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Top Margin', 'thecraft'),
				'param_name' => 'icon_top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Top Margin', 'thecraft'),
				'param_name' => 'top_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line: Bottom Margin', 'thecraft'),
				'param_name' => 'bottom_margin',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
	        ),
        )
    ) );
} );

// Alignment Box
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_alignbox extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Alignment Box', 'thecraft' ),
        'description' => esc_html__('Align elements.', 'thecraft'),
		'base'        => 'alignbox',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'alignbox'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Right' => 'text-right',
					'Center' => 'text-center',
				),
				'std'		=> 'text-center',
			),
		)
	) );
} );

// Buttons
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Buttons', 'thecraft'),
        'description' => esc_html__('Advanced Buttons.', 'thecraft'),
        'base' => 'buttons',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
        'params' => array(
            array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__('Text', 'thecraft'),
				'param_name' => 'text',
				'value' => 'Button Text',
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'thecraft' ),
				'param_name' => 'style',
				'value'      => array(
					'Background' => 'background',
					'Outline' => 'outline',
				),
				'std'		=> 'background',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Size', 'thecraft' ),
				'param_name' => 'size',
				'value'      => array(
					'Medium' => 'medium',
					'Small' => 'small',
					'Big' => 'big',
				),
				'std'		=> 'medium',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color', 'thecraft'),
				'param_name' => 'text_color',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color', 'thecraft'),
				'param_name' => 'background_color',
				'value' => '',
				'dependency' => array( 'element' => 'style', 'value' => 'background' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color', 'thecraft'),
				'param_name' => 'border_color',
				'value' => '',
				'dependency' => array( 'element' => 'style', 'value' => 'outline' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Border Width', 'thecraft'),
				'param_name' => 'border_width',
				'value' => '',
				'description'	=> esc_html__('Default: 1px', 'thecraft'),
				'dependency' => array( 'element' => 'style', 'value' => 'outline' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Border Style', 'thecraft' ),
				'param_name' => 'border_style',
				'value'      => array(
					'Solid' => 'solid',
					'Dotted' => 'dotted',
					'Dashed' => 'dashed'
				),
				'std'		=> 'solid',
				'dependency' => array( 'element' => 'style', 'value' => 'outline' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Rounded', 'thecraft'),
				'param_name' => 'rounded',
				'value' => '',
				'description'	=> esc_html__('ex: 10px', 'thecraft'),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Padding', 'thecraft'),
				'param_name' => 'padding',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left. Ex: 13px 40px 13px 40px', 'thecraft'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Margin', 'thecraft'),
				'param_name' => 'margin',
				'value' => '',
				'description'	=> esc_html__('Top Right Bottom Left.', 'thecraft'),
	        ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Full-width Button?', 'thecraft' ),
				'param_name' => 'full_width',
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Enable Animation?', 'consultiz' ),
				'param_name' => 'animation',
				'value'      => array( esc_html__( 'Yes, please.', 'consultiz' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'consultiz' ),
				'param_name' => 'animation_effect',
				'value'      => array(
					'Fade In Up' => 'fadeInUp',
					'Fade In Down' => 'fadeInDown',
					'Fade In' => 'fadeIn',
					'Fade In Left' => 'fadeInLeft',
					'Fade In Right' => 'fadeInRight',
				),
				'std'		=> 'fadeInUp',
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Duration', 'consultiz'),
				'param_name' => 'animation_duration',
				'value' => '0.75s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Animation Delay', 'consultiz'),
				'param_name' => 'animation_delay',
				'value' => '0.3s',
				'description'	=> esc_html__('Ex: 0.1s, 0.15s', 'consultiz'),
				'dependency' => array( 'element' => 'animation', 'value' => 'yes' ),
            ),
			// Hover
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color: Hover', 'thecraft'),
				'param_name' => 'text_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Background Color: Hover', 'thecraft'),
				'param_name' => 'background_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Border Color: Hover', 'thecraft'),
				'param_name' => 'border_color_hover',
				'value' => '',
				'dependency' => array( 'element' => 'style', 'value' => 'outline' ),
				'group' => esc_html__( 'Hover', 'thecraft' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color: Hover', 'thecraft'),
				'param_name' => 'icon_color_hover',
				'value' => '',
				'group' => esc_html__( 'Hover', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
			// Icon
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Icon?', 'thecraft' ),
				'param_name' => 'show_icon',
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'thecraft' ),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'thecraft' ),
				'value' => array(
					esc_html__( '', 'thecraft' ) => '',
					esc_html__( 'Linearicons', 'thecraft' ) => 'extraicon',
					esc_html__( 'FontAwesome', 'thecraft' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'thecraft' ) => 'openiconic',
					esc_html__( 'Typicons', 'thecraft' ) => 'typicons',
					esc_html__( 'Entypo', 'thecraft' ) => 'entypo',
					esc_html__( 'Linecons', 'thecraft' ) => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
			),
			array(
			    'type' => 'iconpicker',
			    'heading' => esc_html__( 'Icon', 'thecraft' ),
			    'param_name' => 'icon_extraicon',
			    'settings' => array(
			        'emptyIcon' => true,
			        'type' => 'extraicon',
			        'iconsPerPage' => 200,
			    ),
			    'dependency' => array(
			        'element' => 'icon_type',
			        'value' => 'extraicon',
			    ),
			    'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon',
				'settings' => array(
					'emptyIcon' => true,
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_openiconic',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'openiconic',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_typicons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'typicons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_entypo',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'entypo',
					'iconsPerPage' => 300,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'thecraft' ),
				'param_name' => 'icon_linecons',
				'settings' => array(
					'emptyIcon' => true,
					'type' => 'linecons',
					'iconsPerPage' => 200,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'group' => esc_html__( 'Icon', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Icon Color', 'thecraft'),
				'param_name' => 'icon_color',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Font Size', 'thecraft'),
				'param_name' => 'icon_font_size',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon Position', 'thecraft' ),
				'param_name' => 'icon_position',
				'value'      => array(
					'Icon Left' => 'icon-left',
					'Icon Right' => 'icon-right',
				),
				'std'		=> 'icon-right',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon: Right Padding', 'thecraft'),
				'param_name' => 'icon_right_padding',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'description'	=> esc_html__('Spacing between the icon and the text. Ex: 40px.', 'thecraft'),
				'dependency' => array( 'element' => 'icon_position', 'value' => 'icon-left' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Icon Left Padding', 'thecraft'),
				'param_name' => 'icon_left_padding',
				'value' => '',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'description'	=> esc_html__('Spacing between the icon and the text. Ex: 40px.', 'thecraft'),
				'dependency' => array( 'element' => 'icon_position', 'value' => 'icon-right' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon: Offset', 'thecraft' ),
				'param_name' => 'icon_offset',
				'value'      => array(
					'-10px' => '-10',
					'-9px' => '-9',
					'-8px' => '-8',
					'-7px' => '-7',
					'-6px' => '-6',
					'-5px' => '-5',
					'-4px' => '-4',
					'-3px' => '-3',
					'-2px' => '-2',
					'-1px' => '-1',
					'0px' => '0',
					'1px' => '1',
					'2px' => '2',
					'3px' => '3',
					'4px' => '4',
					'5px' => '5',
					'6px' => '6',
					'7px' => '7',
					'8px' => '8',
					'9px' => '9',
					'10px' => '10',
				),
				'std'		=> '0px',
				'group' => esc_html__( 'Icon', 'thecraft' ),
				'description'	=> esc_html__('Use this to change the distance middle the icon and top of button.', 'thecraft'),
				'dependency' => array( 'element' => 'show_icon', 'value' => 'yes' ),
			),
	        // Hyperlink
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Link (URL):', 'thecraft'),
				'param_name' => 'link_url',
				'value' => '',
				'group' => esc_html__( 'Hyperlink', 'thecraft' ),
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Open Link in a new Tab', 'thecraft' ),
				'param_name' => 'new_tab',
				'group' => esc_html__( 'Hyperlink', 'thecraft' ),
				'value' => array(
					'Yes' => 'yes',
					'No' => 'no',
				),
				'std'		=> 'yes',
			),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'thecraft' ),
				'param_name' => 'font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'thecraft' ),
				'param_name' => 'font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Font Size', 'thecraft'),
				'param_name' => 'font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Line-Height', 'thecraft'),
				'param_name' => 'line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
        )
    ) );
} );

// Hero Section
add_action( 'vc_before_init', function() {
    class WPBakeryShortCode_hero extends WPBakeryShortCodesContainer {}
} );
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Hero Section', 'thecraft'),
        'description' => esc_html__('Hero Section.', 'thecraft'),
        'base' => 'hero',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
		'as_parent' => array('except' => 'hero'),
		'controls' => 'full',
		'show_settings_on_create' => true,
		'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'js_view' => 'VcColumnView',
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Hero Height', 'thecraft' ),
				'param_name' => 'hero_height',
				'value'      => array(
					'Full Screen' => 'full-height',
					'Custom Height' => 'custom-height',
				),
				'std'		=> 'full-height',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Hero Custom Height', 'thecraft'),
				'param_name' => 'hero_custom_height',
				'value' => '',
				'description'	=> esc_html__('Ex: 600px.', 'thecraft'),
				'dependency' => array( 'element' => 'hero_height', 'value' => 'custom-height' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Showcase', 'thecraft' ),
				'param_name' => 'showcase',
				'value'      => array(
					'Background Slideshow' => 'slideshow',
					'Background Video' => 'video',
				),
				'std'		=> 'slideshow',
			),
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Background Images', 'thecraft'),
				'param_name' => 'images',
				'value' => '',
				'description' => esc_html__('Choose multi-images for background slideshow.', 'thecraft'),
				'dependency' => array( 'element' => 'showcase', 'value' => 'slideshow' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Effects', 'thecraft' ),
				'param_name' => 'effect',
				'value'      => array(
					'fade' => 'fade',
					'fade2' => 'fade2',
					'slideLeft' => 'slideLeft',
					'slideLeft2' => 'slideLeft2',
					'slideRight' => 'slideRight',
					'slideRight2' => 'slideRight2',
					'slideUp' => 'slideUp',
					'slideDown' => 'slideDown',
					'slideDown2' => 'slideDown2',
					'zoomIn' => 'zoomIn',
					'zoomIn2' => 'zoomIn2',
					'zoomOut' => 'zoomOut',
					'zoomOut2' => 'zoomOut2',
					'swirlLeft' => 'swirlLeft',
					'swirlLeft2' => 'swirlLeft2',
					'swirlRight' => 'swirlRight',
					'swirlRight2' => 'swirlRight2',
					'burn' => 'burn',
					'burn2' => 'burn2',
					'blur' => 'blur',
					'blur2' => 'blur2',
					'flash' => 'flash',
					'flash2' => 'flash2'
				),
				'std'		=> 'fade',
				'dependency' => array( 'element' => 'showcase', 'value' => 'slideshow' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Youtube link (URL)', 'thecraft'),
				'param_name' => 'video_link',
				'value' => '',
				'description' => esc_html__('Youtube link or ID. Ex: https://www.youtube.com/watch?v=vQqZIFCab9o', 'thecraft'),
				'dependency' => array( 'element' => 'showcase', 'value' => 'video' ),
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Pattern Overlay', 'thecraft' ),
				'param_name' => 'pattern_overlay',
				'value'      => array(
					'No Parttern' => '',
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
					'Style 3' => 'style-3',
					'Style 4' => 'style-4',
					'Style 5' => 'style-5',
					'Style 6' => 'style-6',
					'Style 7' => 'style-7',
					'Style 8' => 'style-8',
					'Style 9' => 'style-9',
				),
				'std'		=> 'style-1',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color Overlay', 'thecraft'),
				'param_name' => 'color_overlay',
				'value' => '',
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Content Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Content: Top Margin', 'thecraft'),
				'param_name' => 'content_top',
				'value' => '',
				'description'	=> esc_html__('Ex: 50px. In case you want to set a spacing above the content area.', 'thecraft'),
            ),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Content area into Grid?', 'thecraft' ),
				'param_name' => 'grid',
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			// Arrow
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show arrow?', 'thecraft' ),
				'param_name' => 'scroll',
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
				'group' => esc_html__( 'Arrow', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrow Style', 'thecraft' ),
				'param_name' => 'arrow_style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
				'group' => esc_html__( 'Arrow', 'thecraft' ),
				'dependency' => array( 'element' => 'scroll', 'value' => 'yes' ),
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Scroll to Row (ID)', 'thecraft'),
				'param_name' => 'scroll_id',
				'value' => '',
				'description' => esc_html__('Enter the anchor ID you assigned to the element.', 'thecraft'),
				'group' => esc_html__( 'Arrow', 'thecraft' ),
				'dependency' => array( 'element' => 'scroll', 'value' => 'yes' ),
            ),
        )
    ) );
} );

// Images Slider or Grid
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name' => esc_html__( 'Images Slider or Grid', 'thecraft' ),
		'description' => esc_html__('Displaying images in slider, masonry or mosaic grid.', 'thecraft'),
		'base' => 'imagesgrid',
		'weight'	=>	180,
		'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Layout', 'thecraft' ),
				'param_name' => 'mode',
				'value'      => array(
					'Slider' => 'slider',
					'Masonry' => 'grid',
					'Masonry' => 'mosaic',
				),
				'std'		=> 'slider',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Image Cropping', 'thecraft' ),
				'param_name' => 'image_crop',
				'value'      => array(
					'Full' => 'full',
					'600 x 600' => 'square',
					'600 x 500' => 'rectangle',
				),
				'std'		=> 'square',
			),
			array(
				'type' => 'attach_images',
				'heading' => esc_html__('Images', 'thecraft'),
				'param_name' => 'images',
				'value' => '',
				'description' => esc_html__('Choose multi-images for Images Grid.', 'thecraft')
			),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'thecraft'),
				'param_name' => 'gapv',
				'value' => '0',
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing below items', 'thecraft'),
				'param_name' => 'gaph',
				'value' => '0',
            ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap > 1100px.', 'thecraft' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Column Options', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '4c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap from 800px to 1099px.', 'thecraft' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Column Options', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap from 550px to 799px.', 'thecraft' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Column Options', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'If Wrap < 549px.', 'thecraft' ),
				'param_name' => 'column4',
				'group'      => esc_html__( 'Column Options', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
		)
	) );
} );

// Scroll Target
add_action( 'vc_before_init', function() {
	vc_map( array(
		'name'        => esc_html__( 'Scroll to ID Target', 'thecraft' ),
        'description' => esc_html__('Displaying a arrow for scrolling down when clicked.', 'thecraft'),
		'base'        => 'scrolltarget',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
		'params'      => array(
            array(
				'type' => 'textfield',
				'heading' => esc_html__('ID Target', 'thecraft'),
				'param_name' => 'id_target',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color', 'thecraft'),
				'param_name' => 'color',
				'value' => '',
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Size', 'thecraft'),
				'param_name' => 'size',
				'value' => '',
	        ),
		)
	) );
} );

// Special Text
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Special Text', 'thecraft'),
        'description' => esc_html__('Awesome Texts.', 'thecraft'),
        'base' => 'specialtext',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'text-left',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-left',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Tag', 'thecraft' ),
				'param_name' => 'tag',
				'value'      => array(
					'Div' => 'div',
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'div',
			),
			array(
				'type' => 'textfield',
				'holder' => 'span',
				'heading' => esc_html__( 'Text 1 (Optional)', 'thecraft' ),
				'param_name' => 'text1',
			),
			array(
				'type' => 'textfield',
				'holder' => 'span',
				'heading' => esc_html__( 'Text 2 (Optional)', 'thecraft' ),
				'param_name' => 'text2',
			),
			array(
				'type' => 'textfield',
				'holder' => 'span',
				'heading' => esc_html__( 'Text 3 (Optional)', 'thecraft' ),
				'param_name' => 'text3',
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text 1 Color', 'thecraft'),
				'param_name' => 'color1',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text 2 Color', 'thecraft'),
				'param_name' => 'color2',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text 3 Color', 'thecraft'),
				'param_name' => 'color3',
				'value' => '',
            ),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Text 1', 'thecraft'),
				'param_name' => 'text1_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 1: Font Family', 'thecraft' ),
				'param_name' => 'text1_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 1: Font Weight', 'thecraft' ),
				'param_name' => 'text1_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 1: Font Size', 'thecraft'),
				'param_name' => 'text1_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 1: Font Style', 'thecraft' ),
				'param_name' => 'text1_font_style',
				'value'      => array(
					'Normal' => '',
					'Italic' => 'italic',
				),
				'std'		=> '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Text 2', 'thecraft'),
				'param_name' => 'text2_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 2: Font Family', 'thecraft' ),
				'param_name' => 'text2_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 2: Font Weight', 'thecraft' ),
				'param_name' => 'text2_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 2: Font Size', 'thecraft'),
				'param_name' => 'text2_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 2: Font Style', 'thecraft' ),
				'param_name' => 'text2_font_style',
				'value'      => array(
					'Normal' => '',
					'Italic' => 'italic',
				),
				'std'		=> '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Text 3', 'thecraft'),
				'param_name' => 'text3_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 3: Font Family', 'thecraft' ),
				'param_name' => 'text3_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 3: Font Weight', 'thecraft' ),
				'param_name' => 'text3_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 3: Font Size', 'thecraft'),
				'param_name' => 'text3_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text 3: Font Style', 'thecraft' ),
				'param_name' => 'text3_font_style',
				'value'      => array(
					'Normal' => '',
					'Italic' => 'italic',
				),
				'std'		=> '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			// Spacing
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 1: Right Padding', 'thecraft'),
				'param_name' => 'text1_right_padding',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
            ),
            array(
				'type' => 'textfield',
				'heading' => esc_html__('Text 2: Right Padding', 'thecraft'),
				'param_name' => 'text2_right_padding',
				'value' => '',
				'group' => esc_html__( 'Spacing', 'thecraft' ),
            ),
        )
    ) );
} );

// Fancy Text
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Fancy Text', 'thecraft'),
        'description' => esc_html__('Awesome Animation Text.', 'thecraft'),
        'base' => 'fancytext',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Text Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => '',
					'Center' => 'text-center',
					'Right' => 'text-right',
				),
				'std'		=> 'text-center',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Animation', 'thecraft' ),
				'param_name' => 'animation',
				'value'      => array(
					'Scrolling' => 'scroll',
					'Typing' => 'typed',
				),
				'std'		=> 'scroll',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 1 (Optional)', 'thecraft' ),
				'param_name' => 'text1',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 2 (Optional)', 'thecraft' ),
				'param_name' => 'text2',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 3 (Optional)', 'thecraft' ),
				'param_name' => 'text3',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 4 (Optional)', 'thecraft' ),
				'param_name' => 'text4',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Text 5 (Optional)', 'thecraft' ),
				'param_name' => 'text5',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Prefix Text (Optional)', 'thecraft' ),
				'param_name' => 'prefix_text',
				'group' => esc_html__( 'Prefix & Suffix', 'thecraft' ),
				'dependency' => array( 'element' => 'animation', 'value' => 'typed' ),
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Suffix Text (Optional)', 'thecraft' ),
				'param_name' => 'suffix_text',
				'group' => esc_html__( 'Prefix & Suffix', 'thecraft' ),
				'dependency' => array( 'element' => 'animation', 'value' => 'typed' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Text Color', 'thecraft'),
				'param_name' => 'text_color',
				'value' => '',
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Prefix Text Color', 'thecraft'),
				'param_name' => 'prefix_color',
				'value' => '',
				'group' => esc_html__( 'Prefix & Suffix', 'thecraft' ),
				'dependency' => array( 'element' => 'animation', 'value' => 'typed' ),
            ),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Suffix Text Color', 'thecraft'),
				'param_name' => 'suffix_color',
				'value' => '',
				'group' => esc_html__( 'Prefix & Suffix', 'thecraft' ),
				'dependency' => array( 'element' => 'animation', 'value' => 'typed' ),
            ),
	        // Typography
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Tag', 'thecraft' ),
				'param_name' => 'tag',
				'value'      => array(
					'H1' => 'h1',
					'H2' => 'h2',
					'H3' => 'h3',
					'H4' => 'h4',
					'H5' => 'h5',
					'H6' => 'h6',
				),
				'std'		=> 'h2',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Family', 'thecraft' ),
				'param_name' => 'font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Font Weight', 'thecraft' ),
				'param_name' => 'font_weight',
				'value'      => array(
					'Default'		=> 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type' => 'number',
				'heading' => esc_html__( 'Font Size: Max', 'thecraft' ),
				'param_name' => 'font_max',
				'value' => 70,
				'suffix' => 'px',
				'group' => esc_html__( 'Typography', 'thecraft' ),
				'description'	=> esc_html__('Important! This size only appear exactly on the full-width grid, 65px max-size on the 1170 grid and 32px max-size on the 570px grid.', 'thecraft'),
		  	),
		  	array(
				'type' => 'number',
				'heading' => esc_html__( 'Font Size: Min', 'thecraft' ),
				'param_name' => 'font_min',
				'value' => 22,
				'suffix' => 'px',
				'group' => esc_html__( 'Typography', 'thecraft' ),
		  	),
        )
    ) );
} );

// Partner Carousel
add_action( 'vc_before_init', function() {
	vc_map( array(
	    'name' => esc_html__('Partner Carousel', 'thecraft'),
	    'description' => esc_html__('Displaying partner posts in carousel.', 'thecraft'),
	    'base' => 'partners',
		'weight'	=>	180,
	    'icon' => plugins_url('assets/icon.png', __FILE__),
	    'category' => esc_html__('WPRT VC Addons', 'thecraft'),
	    'params' => array(
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Spacing between items', 'thecraft'),
				'param_name' => 'gap',
				'value' => '10',
	        ),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'thecraft' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Infinity Loop?', 'thecraft' ),
				'param_name' => 'loop',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'description'	=> esc_html__('Duplicate last and first items to get loop illusion.', 'thecraft'),
			),
			// Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number of items', 'thecraft'),
				'param_name' => 'items',
				'value' => '5',
				'group' => esc_html__( 'Query', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Category Slug', 'thecraft'),
				'param_name' => 'cat_slug',
				'value' => '',
				'group' => esc_html__( 'Query', 'thecraft' ),
				'description'	=> esc_html__('Only show posts from specific category-slug (optional).', 'thecraft'),
	        ),
	        // Controls
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'thecraft'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'thecraft' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Images', 'thecraft' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Bullets Show', 'thecraft' ),
				'param_name' => 'bullet_show',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'Square' => 'bullet-square',
					'Circle' => 'bullet-circle',
				),
				'std'		=> 'bullet-square',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'thecraft'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'thecraft' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'thecraft' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'-40' => '-40',
					'-35' => '-35',
					'-30' => '-30',
					'-25' => '-25',
					'-20' => '-20',
					'-15' => '-15',
					'-10' => '-10',
					'0 - IN' => '0i',
					'Center' => 'center',
					'0 - OUT' => '0o',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'thecraft' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'-120' => '-120',
					'-110' => '-110',
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'0' => '0',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
					'110' => '110',
					'120' => '120',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px', 'thecraft' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px', 'thecraft' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px', 'thecraft' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
	    )
	) );
} );

// Subscribe
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Subscribe Form', 'thecraft'),
        'description' => esc_html__('Displaying mailchimp newsletter form.', 'thecraft'),
        'base' => 'subscribe',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Alignment', 'thecraft' ),
				'param_name' => 'alignment',
				'value'      => array(
					'Left' => 'left',
					'Center' => 'center',
				),
				'std'		=> 'left',
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Form Width', 'thecraft' ),
				'param_name' => 'width',
				'value'      => ''
			),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Heading', 'thecraft' ),
				'param_name' => 'heading',
				'value' => 'Newsletter Subscribe'
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Heading Width', 'thecraft' ),
				'param_name' => 'heading_width',
				'value'      => ''
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Heading: Bottom Margin', 'thecraft' ),
				'param_name' => 'heading_bottom_margin',
				'value'      => ''
			),
			array(
				'type' => 'textarea',
				'holder' => 'div',
				'heading' => esc_html__( 'Sub Heading', 'thecraft' ),
				'param_name' => 'subheading',
				'value' => 'We promise not to spam your inbox!'
			),
			// Typography
			array(
				'type' => 'headings',
				'text' => esc_html__('Heading', 'thecraft'),
				'param_name' => 'heading_typograpy',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Family', 'thecraft' ),
				'param_name' => 'heading_font_family',
				'value'      =>  vincent_plugin_google_font(),
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Heading Font Weight', 'thecraft' ),
				'param_name' => 'heading_font_weight',
				'value'      => array(
					'Default' => 'Default',
					'300' => '300',
					'400' => '400',
					'500' => '500',
					'600' => '600',
					'700' => '700',
					'800' => '800',
					'900' => '900',
				),
				'std'		=> 'Default',
				'group' => esc_html__( 'Typography', 'thecraft' ),
			),
            array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Heading Color', 'thecraft'),
				'param_name' => 'heading_color',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
            ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Font Size', 'thecraft'),
				'param_name' => 'heading_font_size',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Heading Line-Height', 'thecraft'),
				'param_name' => 'heading_line_height',
				'value' => '',
				'group' => esc_html__( 'Typography', 'thecraft' ),
	        ),
        )
    ) );
} );

// Google Maps
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Google Maps', 'thecraft'),
        'description' => esc_html__('Displaying Google Maps.', 'thecraft'),
        'base' => 'googlemap',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
        'params' => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Latitude', 'thecraft' ),
				'param_name'  => 'lat',
				'description' => '<a href="http://universimmedia.pagesperso-orange.fr/geo/loc.htm" target="_blank">'. esc_html__('Here is a tool', 'thecraft').'</a> '. esc_html__('where you can find Latitude & Longitude of your location', 'thecraft'),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Longitude', 'thecraft' ),
				'param_name'  => 'lng',
				'description' => '<a href="http://universimmedia.pagesperso-orange.fr/geo/loc.htm" target="_blank">'. esc_html__('Here is a tool', 'thecraft').'</a> '. esc_html__('where you can find Latitude & Longitude of your location', 'thecraft'),
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Map Width', 'thecraft' ),
				'param_name' => 'width',
				'value'      => ''
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Map Height', 'thecraft' ),
				'param_name' => 'height',
				'value'      => 300
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Zoom Level', 'thecraft' ),
				'param_name'  => 'zoom',
				'description' => esc_html__( 'Select the default zoom level for the Maps', 'thecraft' ),
				'value'       => array_combine( range( 1, 24 ), range( 1, 24 ) ),
				'std'		  => '14'
			),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__( 'Dragging on Mobile' ),
                'param_name' => 'drag_mobile',
                'value' => array( esc_html__( 'Enable' ) => 'true', esc_html__( 'Disable' ) => 'false'),
                'std' => 'true'
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__( 'Dragging on Desktop' ),
                'param_name' => 'drag_desktop',
                'value' => array( esc_html__( 'Enable' ) => 'true', esc_html__( 'Disable' ) => 'false'),
                'std' => 'true'
            ),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Show The Marker', 'thecraft' ),
				'param_name'  => 'marker_type',
				'value'       => array(
					'Simple'          => 'simple',
					'Custom Image' => 'image',
				),
				'std'		=> 'simple',
				'group' => esc_html__( 'Maker', 'thecraft' ),
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image', 'thecraft'),
				'param_name' => 'image',
				'value' => '',
				'group' => esc_html__( 'Maker', 'thecraft' ),
				'dependency' => array( 'element' => 'marker_type', 'value' => 'image' ),
			),
        )
    ) );
} );

// Products Carousel
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('Products Carousel', 'thecraft'),
        'description' => esc_html__('Displaying products in carousel.', 'thecraft'),
        'base' => 'dproducts',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
        'params' => array(
	        // Query
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Number', 'thecraft'),
				'param_name' => 'number',
				'value' => '4',
				'group' => esc_html__( 'Query', 'thecraft' ),
				'description'	=> esc_html__('The number of campaigns to show.', 'thecraft'),
	        ),
	        array(
				'type' => 'textfield',
				'heading' => esc_html__('Item: Space Between', 'thecraft'),
				'param_name' => 'gap',
				'value' => '30',
				'group' => esc_html__( 'Query', 'thecraft' ),
				'description'	=> esc_html__('Important! Include the blur distance of the shadow.', 'thecraft'),
	        ),
	        // Controls
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Item: Auto Scroll?', 'thecraft' ),
				'param_name' => 'auto_scroll',
				'value'      => array(
					'No' => 'false',
					'Yes' => 'true',
				),
				'std'		=> 'false',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Bullets', 'thecraft'),
				'param_name' => 'bullets_heading',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Bullets?', 'thecraft' ),
				'param_name' => 'show_bullets',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Space between Bullets & Images', 'thecraft' ),
				'param_name' => 'bullet_between',
				'value'      => array(
					'50px' => '50',
					'45px' => '45',
					'40px' => '40',
					'35px' => '35',
					'30px' => '30',
					'25px' => '25',
					'20px' => '20',
					'15px' => '15',
					'10px' => '10',
				),
				'std'		=> '50',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Bullets Show', 'thecraft' ),
				'param_name' => 'bullet_show',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'Square' => 'bullet-square',
					'Circle' => 'bullet-circle',
				),
				'std'		=> 'bullet-square',
				'dependency' => array( 'element' => 'show_bullets', 'value' => 'yes' ),
			),
			array(
				'type' => 'headings',
				'text' => esc_html__('Arrows', 'thecraft'),
				'param_name' => 'arrows_heading',
				'group' => esc_html__( 'Controls', 'thecraft' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Arrows?', 'thecraft' ),
				'param_name' => 'show_arrows',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array( esc_html__( 'Yes, please.', 'thecraft' ) => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Horizontal', 'thecraft' ),
				'param_name' => 'arrow_offset',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'-40' => '-40',
					'-35' => '-35',
					'-30' => '-30',
					'-25' => '-25',
					'-20' => '-20',
					'-15' => '-15',
					'-10' => '-10',
					'0 - IN' => '0i',
					'Center' => 'center',
					'0 - OUT' => '0o',
					'10' => '10',
					'15' => '15',
					'20' => '20',
					'25' => '25',
					'30' => '30',
					'35' => '35',
					'40' => '40',
				),
				'std'		=> 'center',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Arrows Offset: Vertical', 'thecraft' ),
				'param_name' => 'arrow_offset_v',
				'group' => esc_html__( 'Controls', 'thecraft' ),
				'value'      => array(
					'-120' => '-120',
					'-110' => '-110',
					'-100' => '-100',
					'-90' => '-90',
					'-80' => '-80',
					'-70' => '-70',
					'-60' => '-60',
					'-50' => '-50',
					'-40' => '-40',
					'-30' => '-30',
					'-20' => '-20',
					'0' => '0',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100',
					'110' => '110',
					'120' => '120',
				),
				'std'		=> '0',
				'dependency' => array( 'element' => 'show_arrows', 'value' => 'yes' ),
			),
			// Columns
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen > 1000px.', 'thecraft' ),
				'param_name' => 'column',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
					'6 Columns' => '6c',
					'7 Columns' => '7c',
				),
				'std'		=> '3c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen from 600px to 1000px.', 'thecraft' ),
				'param_name' => 'column2',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
					'5 Columns' => '5c',
				),
				'std'		=> '2c',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Screen < 600px.', 'thecraft' ),
				'param_name' => 'column3',
				'group'      => esc_html__( 'Columns', 'thecraft' ),
				'value'      => array(
					'1 Column' => '1c',
					'2 Columns' => '2c',
					'3 Columns' => '3c',
					'4 Columns' => '4c',
				),
				'std'		=> '1c',
			),
        )
    ) );
} );

// Countdown
add_action( 'vc_before_init', function() {
    vc_map( array(
        'name' => esc_html__('CountDown', 'thecraft'),
        'description' => esc_html__('Displaying Countdown Timer.', 'thecraft'),
        'base' => 'countdown',
		'weight'	=>	180,
        'icon' => plugins_url('assets/icon.png', __FILE__),
        'category' => esc_html__('WPRT VC Addons', 'thecraft'),
        'params' => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'thecraft' ),
				'param_name' => 'style',
				'value'      => array(
					'Style 1' => 'style-1',
					'Style 2' => 'style-2',
				),
				'std'		=> 'style-1',
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Time', 'thecraft' ),
				'param_name' => 'time',
				'value' => 'December 30, 2018 8:30:00'
			),
        )
    ) );
} );